
<script type="text/javascript">
    function ShowHideAdDiv() {
        var ldapTypeValue = document.getElementById("ldapType");
        var adDiv = document.getElementById("MSADDiv");
        var genDiv = document.getElementById("GenericDiv");
        
        adDiv.style.display = ldapTypeValue.value == "ad" ? "block" : "none";
        genDiv.style.display = ldapTypeValue.value == "ad" ? "none" : "block";
        
        var txtUNAttr = document.getElementById("unattr");
        var txtUOFilter = document.getElementById("uofilter");
     
        
        if(ldapTypeValue.value == "generic"){
        	if(txtUNAttr.value == ""){
        		txtUNAttr.value = "uid";
        	}
        	
        	if(txtUOFilter.value == ""){
        		txtUOFilter.value = "(objectclass=inetorgperson)";
        	}
        }
    }
</script>
	
	

<form class="form-horizontal" action="<%=controllerPath%>" method="POST" class="syn_form">
	<h2 class="underline-title no-margin-top">Active Directory/LDAP</h2>  	 
		<%
     	if(request.getAttribute("templateUrlState").toString().length() > 0){ 
			%>
			<div class="alert alert-success">
			<h4>Upgrade</h4>
	        <p>Active Directory/LDAP integration is only available in the Enterprise edition. <br>
	        <a href="<%=response.encodeURL("app?operation=buy") %>"><button class="btn btn-warning pull-right">Upgrade Now</button></a><br><br>
	        </p>
	        </div>
     		<%
     	}else{
     		%>
     		<div class="alert alert-success">
     		<h4>Why use AD/LDAP?</h4>
	        AD/LDAP integration solves two problems:        
			<ol>
				<li style="margin-left: 20px;">Eliminate creating users manually in SynaMan.</li>
				<li style="margin-left: 20px;">Synchronize passwords between SynaMan and your Windows network</li>
			</ol>  
			
			<a href="http://web.synametrics.com/SynaManAD.htm">More info...</a>
			</div>
     	<%
     	}     	
     	%>   
		
	<div class="form-group">
		<div class="col-sm-offset-0 col-sm-12">
			<div class="checkbox">
			<label for="enabledAD">
				<input type="checkbox" name="enabledAD" id="enabledAD" value="1" <%=request.getAttribute("enabledAD") %> /> Enable AD/LDAP 
			</label>
			<small></small>
			</div>
		</div>
	</div>  
	
	

	
	<div class="form-group">
		<label class="col-sm-2 control-label" for="inboundSmtpBindingIP">Server Type:</label>
		<div class="col-sm-10"> 
		<select name="ldapType" id="ldapType" class="form-control"  onchange = "ShowHideAdDiv()"> 
			<option value="ad" <%= (request.getAttribute("ldapType").equals("ad") ? "selected" : "") %> >MS Active Directory</option>
			<option value="generic" <%= (request.getAttribute("ldapType").equals("generic") ? "selected" : "") %> >Other LDAP Server</option>
		</select>
		<small>Type of LDAP.</small>
		</div>
	</div>
	
	
	<div class="form-group">
		<label for="adHost" class="col-sm-2 control-label">Hostname:</label>
		<div class="col-sm-10">
			<input type="text" class="form-control" name="adHost" id="adHost" value="<%= request.getAttribute("adHost") %>" />
	    	<small>Host name where Active Directory is running. This usually refers to the domain controller in your network.</small>
		</div>
	</div>
		
	<div class="form-group">
		<label for="adBaseDN" class="col-sm-2 control-label">BaseDN:</label>
		<div class="col-sm-10">
			<input type="text" class="form-control" name="adBaseDN" id="adBaseDN" value="<%= request.getAttribute("adBaseDN")  %>" />
			<small>Base DN for your active directory. <a href="<%=response.encodeURL("app?operation=aconfig&st=fbdn") %>" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">Click here</a> to fetch available names.</small>
		</div>
	</div>
		
	<div id="MSADDiv">
		
		<div class="form-group">
			<label for="adDomain" class="col-sm-2 control-label">AD Domain Name:</label>
			<div class="col-sm-10">
				<input type="text" class="form-control" name="adDomain" id="adDomain" value="<%= request.getAttribute("adDomain")  %>" />
		    	<small>Active Directory domain name. This may or may not be your email domain. For example: yourCompany.local</small>
			</div>
		</div>
		
	    <div class="form-group">
			<label for="adMemberOf" class="col-sm-2 control-label">Member Of:</label>
			<div class="col-sm-10">
				<input type="text" class="form-control" name="adMemberOf" id="adMemberOf" value="<%= request.getAttribute("adMemberOf")  %>" />
				<small>Group(s) this user must of a member of. Use a comma to separate more than one groups.</small>
			</div>
		</div>
	
	</div>
	
	<div id="GenericDiv">
		<div class="form-group">
			<label for="adDomain" class="col-sm-2 control-label">User Name Attributer:</label>
			<div class="col-sm-10">
				<input type="text" class="form-control" name="unattr" id="unattr" value="<%= request.getAttribute("unattr")  %>" />
		    	<small>The attribute field to use on the user object. Examples: uid, sAMAccountName.</small>
			</div>
		</div>
		
		<div class="form-group">
			<label for="adDomain" class="col-sm-2 control-label">User Name RDN Attributer:</label>
			<div class="col-sm-10">
				<input type="text" class="form-control" name="rdnattr" id="rdnattr" value="<%= request.getAttribute("rdnattr")  %>" />
		    	<small>The RDN to use when loading the user username.Example: cn. . If missing, User Name Attribute will be used</small>
			</div>
		</div>
		
		<div class="form-group">
			<label for="adDomain" class="col-sm-2 control-label">User Object Filter:</label>
			<div class="col-sm-10">
				<input type="text" class="form-control" name="uofilter" id="uofilter" value="<%= request.getAttribute("uofilter")  %>" />
		    	<small>Filter value to use when searching for user objects</small>
			</div>
		</div>
	</div>
	
	<div class="form-group">
		<div class="col-sm-offset-2 col-sm-10">
			<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Apply</button>
		</div>
	</div>	     

<input type="hidden" name="operation" value="aconfig">
<input type="hidden" name="st" value="saveAD">

</form>

<script>
	ShowHideAdDiv();
</script>
	