<%@page import="com.synametrics.wefmanager.bean.AccessLogBean"%>
<%@page import="com.synametrics.wefmanager.bean.UserLoginBean"%>
<%@page import="java.util.List"%>
<%@ include file="Header.jsp" %>

<h1>Access Logs</h1>
<section>
    <div class="panel panel-default">
        <div class="panel-body">
            <h3 class="section-title"><small class="pull-right">Search Criteria</small><div class="clearfix"></div></h3>
            <div class="clearfix"></div>
            
            <form role="form" method="POST">
            
            	<div class="row">
            		<div class="col-md-6">
		                <div class="form-group">
		                    <div class="input-group">
		                    	<label for="filename">File Name: </label>
		                        <!--  <span class="input-group-addon"><i class="fa fa-file"></i></span> -->
		                        <input type="text" class="form-control" placeholder="File name. For example: *.pdf" name="filename" id="filename">
		                    </div>
		                    <br>
		                    
		                	<div class="input-group">
		                		<label for="uname">User Name: </label>
		                        <!-- <span class="input-group-addon"><i class="fa fa-user"></i></span> -->
		                    
		                    	<%
		                    	List<UserLoginBean> uBeans = (List<UserLoginBean>) request.getAttribute("uBeans");
		                    	%>
		                        <select name="uid" class="form-control" id="uname">
		                        	<option value="0">-- Any User --</option>
		                        	<%
		                        	for(UserLoginBean aUser: uBeans){
		                        		%>
		                        		<option value="<%= aUser.login %>"><%= aUser.getFullName() %></option>
		                        		<%
		                        	}
		                        	%>
		                        </select>
		                    </div>
		                </div>
                	</div>
                	
                	<div class="col-md-6">
		                <div class="form-group">
		                    <div class="input-group">
		                    	<label for="filename">Start Date: </label>
		                        <!-- <span class="input-group-addon"><i class="fa fa-calendar"></i></span> -->
		                        <input type="text" class="form-control" placeholder="Start Date (yyyy-mm-dd)" 
		                        name="startdate" data-provide="datepicker" 
		                        value="<%= request.getAttribute("startdate")%>" >
		                    </div>
		                    <br>
		                    
		                	<div class="input-group">
		                		<label for="filename">End Date: </label>
		                        <!-- <span class="input-group-addon"><i class="fa fa-calendar"></i></span> -->
		                    	<input type="text" class="form-control" placeholder="End Date (yyyy-mm-dd)" 
		                    	name="enddate"  data-provide="datepicker" value="<%= request.getAttribute("enddate")%>" >
		                    </div>
		                </div>
                	</div>
                	
                	
                </div>
                
                <button type="submit" class="btn btn-primary pull-right">Search</button>
                <input type="hidden" name="operation" value="aclog">
                <input type="hidden" name="st" value="s">
                
                <div class="clearfix"></div>
                    
            </form>
			
        </div>
    </div>
</section>


<%
List<AccessLogBean> searchResults = (List<AccessLogBean>) request.getSession().getAttribute("AccessLogSearchResults");
if(searchResults != null){
	%>
	
	<h2>Search Results</h2>
	
	<%
	if(searchResults.size() == 0){
		%><div class="alert alert-info">No results found!</div><%
	}else{
		%>
		
		<table class="table table-bordered table-hover">
			<thead>
				<tr><th>Shared Folder Name</th><th>Path</th><th>Events</th></tr>
			</thead>
			
			<%
			for(int i = 0; i < searchResults.size(); i++){
				AccessLogBean aBean = searchResults.get(i);
				%>
				<tr>
					<td><%= aBean.tlf %></td>
					<td><a href="<%= response.encodeURL("app?operation=aclog&st=d&fi=" + i) %>"><%= aBean.getFullPath() %></a></td>
					<td><%= aBean.count %></td>
				</tr>
				<%
			}
			%>
			
		</table>
		
		<%
	}
	%>
	<%
} 
%>


<%@ include file="Footer.jsp" %>