<%@ include file="Header.jsp" %>
<div class="row">
	<div class="col-md-12 section-title">
		<div class="pull-right">
			<a class="btn btn-primary pull-right" href="<%=response.encodeURL("app?operation=config&st=main") %>">Main configuration</a>
		</div>
	</div>
</div>
<%
String errorMessage = (String)request.getAttribute("errorMessage");
if(errorMessage != null){
	out.println("<div class='alert alert-danger'>" + errorMessage + "</div>");
}
%>
<div class="row">
	<div class="col-md-9 animated bounceInLeft animation-delay-3">
		<!-- Nav tabs -->
		<ul class="nav nav-tabs">
			<li class="active"><a href="#branding" data-toggle="tab">Branding SynaMan</a></li>
			<li><a href="#addionalparams" data-toggle="tab">Additional Parameters</a></li>
			<li><a href="#inboundsmtp" data-toggle="tab">Embedded SMTP</a></li>
			<li><a href="#adconfig" data-toggle="tab">Active Directory</a></li>
		</ul>
		
		<!-- Tab panes -->
		<div class="tab-content">
			<div class="tab-pane active" id="branding"><%@ include file="SBrandingHolder.jsp" %></div>
			<div class="tab-pane" id="addionalparams"><%@ include file="AdditionalParams.jsp" %></div>
			<div class="tab-pane" id="inboundsmtp"><%@ include file="InboundSmtpConfig.jsp" %></div>
			<div class="tab-pane" id="adconfig"><%@ include file="ADConfig.jsp" %></div>
		</div>	
	</div>
	<div class="col-md-3">
		<%@ include file="QuickLinks.jsp" %>
		<%@ include file="SupportButton.jsp" %>
	</div>
	<div class="clearfix"></div>
</div>

<%@ include file="Footer.jsp" %>