<%
String errorMessage = (String)request.getAttribute("errorMessage");
String infoMsg = (String) request.getAttribute("infoMsg");

boolean isReset = request.getAttribute("isReset") != null && request.getAttribute("isReset").equals("true");

%>


<script src="images/pswmeter.min.js"></script>

<div class="row">
	<h2 class="section-title"><i style="font-size:50px" class="fa fa-user"></i> Modify password</h2>
	<% if(errorMessage != null){ %>
	<span class="alert alert-danger"><%=errorMessage%></span><br><br><br>
	<%} %> 
	
	<% if(infoMsg != null){ %>
	<div class="alert alert-info"><%=infoMsg%></div><br><br><br>
	<%} %> 
</div>

<form action="<%=controllerPath%>"  method="POST" class="form-horizontal" autocomplete="off" >

	<div class="form-group"> 
		<label class="col-md-2 control-label" for="useridX">Login ID:</label>
		<div class="col-md-10">
			<input type="text" name="userid" id="userid" readonly="readonly" class="form-control" value="<%=request.getAttribute("userid") %>" /> 
		</div>			
	</div> 
	
	<% if(!isReset){ %>
	<div class="form-group"> 
		<label class="col-md-2 control-label" for="existingPwd">Existing password:</label>	
		<div class="col-md-10">
			<input type="password" name="existingPwd" id="existingPwd" class="form-control" value="" autocomplete="off" required /> 
		</div>			
	</div> 
	<%} %>
	
	<div class="form-group"> 
		<label class="col-md-2 control-label" for="newPwd">New password:</label>	
		<div class="col-md-10">
			<input type="password" name="newPwd" id="psw-input" class="form-control" value="" autocomplete="off" required /> 	
			<div id="pswmeter"></div>
			<div id="pswmeter-message"></div>
		</div>			
	</div> 
	
	<div class="form-group"> 
		<label class="col-md-2 control-label" for="newPwd2">New password again:</label>
		<div class="col-md-10">
			<input type="password" name="newPwd2" id="newPwd2" class="form-control" value="" autocomplete="off" required /> 	
		</div>				
	</div> 
	
	<div class="form-group">
		<div class="col-sm-offset-2 col-sm-12">
			<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Proceed</button>
		</div>
	</div> 

<%
if(isReset){
%>  <input type="hidden" name="operation" value="respass" />
	<input type="hidden" name="st" value="snp" />
<%}else{ %>
	<input type="hidden" name="operation" value="chpwd" />
	<input type="hidden" name="userid" value="<%=request.getAttribute("userid") %>" />
<%} %>
</form>


<script>
    
    // Run pswmeter with options
    const myPassMeter = passwordStrengthMeter({
      containerElement: '#pswmeter',
      passwordInput: '#psw-input',
      showMessage: true,
      messageContainer: '#pswmeter-message',
      messagesList: [
    	  ' ',
          'Weak',
          'Better',
          'Strong',
          'Very Strong'
        ],
      height: 6,
      borderRadius: 0,
      pswMinLength: 8,
      colorScore1: '#aaa',
      colorScore2: '#aaa',
      colorScore3: '#00a',
      colorScore4: 'limegreen'
    });
    
    </script>
    
    