<%@page import="com.synametrics.wefmanager.bean.ExistingPublicLinkBean, java.util.List"%>
<%@ include file="Header.jsp" %>
<div id="primaryContent_2columns">
	<div id="columnA_2columns">
	

<h1 style="margin-top:0px; ">Existing public links</h1>

<%

List<ExistingPublicLinkBean> existingLinks = (List<ExistingPublicLinkBean>)request.getAttribute("existingLinks");

if(existingLinks.size() == 0){
	%>
	No public links exists on the system. <a href="http://web.synametrics.com/SynaManPublicLinks.htm" 
		title="Click here to get more information about public links">Click here</a> to learn more about public links.
	
	<%
}else{
	%>
	Following table displays available public links on your system. Expired links are automatically removed and are not displayed here.
	<br><br>
	<div class="row">
		<div class="col-md-9">
			<table class="table" width="100%">
		<tr>
			<th>Created on</th>
			<th>Creator</th>
			<th>Expires on</th>
			<th>Link type</th>
			<th>Links</th>
			<th>Action</th>
		</tr>
		
		
		<%
		for(int i = 0; i < existingLinks.size(); i++){
			if(request.getAttribute("lun") != null && !request.getAttribute("lun").toString().equalsIgnoreCase(existingLinks.get(i).getCreator())){
				continue;
			}
			String notify = existingLinks.get(i).isNotify() ? 
						"<img src='images/notify.gif' title='User will be notified when someone uses this public link'>" : 
						"<img src='images/notifyd.gif' title='No notification is sent when someone uses this link'>";
			%>
			<tr>
			<td><abbr title="<%= existingLinks.get(i).getCreationDateWithTime() %>"><%=existingLinks.get(i).getCreationDate() %></abbr></td>
			<td><%=notify%> <%=existingLinks.get(i).getCreator() %></td>
			<td><abbr title="<%= existingLinks.get(i).getExpirationDateWithTime() %>"><%=existingLinks.get(i).getExpirationDate() %></abbr></td>
			<td><%=existingLinks.get(i).getLinkType() %></td>
			<td><%=existingLinks.get(i).getInternetAnchor() %> | <%=existingLinks.get(i).getLocalAnchor() %></td>
			<td><%=existingLinks.get(i).getRemoveAnchor() %></td>
			</tr>
			<%
		}
		
		%>
	</table>
</div>
<div class="col-md-3">
	<%@ include file="QuickLinks.jsp" %>
	<%@ include file="SupportButton.jsp" %>
</div>
</div>	
	<%
}
%>


	</div>

<%@ include file="Footer.jsp" %>