


<form class="form-horizontal" action="<%=controllerPath%>" method="POST" class="syn_form">
	<h2 class="underline-title no-margin-top">HTTP Proxy Configuration</h2> 

	<H4>Usage Tips</H4>
	<P class="last">
		Often SynaMan needs to contact our web server. This happens when:
		<ul style="margin-left: 15px;">
			<li>A new version is available for download.</li>
			<li>You use the discovery service.</li>
		</ul>
		If out-bound port 80 is blocked on your network, specify the proxy server you use.
		
	</P>
	<div class="form-group">
		<label class="col-sm-2 control-label" for="httpProxyHost" class="col-sm-2 control-label">HTTP Proxy Host:</label>	
		<div class="col-sm-10">	
			<input type="text" name="httpProxyHost" id="httpProxyHost" class="form-control" value="<%= request.getAttribute("httpProxyHost") == null ? "" : request.getAttribute("httpProxyHost") %>" />
			<small>Host name for your proxy server.</small>
		</div>	
	</div>

	<div class="form-group">
		<label class="col-sm-2 control-label" for="httpProxyPort">HTTP Proxy Port:</label>	
		<div class="col-sm-10">			
		<input type="text" name="httpProxyPort" id="httpProxyPort" class="form-control" value="<%= request.getAttribute("httpProxyPort") == null ? "" : request.getAttribute("httpProxyPort") %>" />
		<small>TCP/IP port for your proxy server.</small>
		</div>
	</div>

	<div class="form-group">
		<label class="col-sm-2 control-label" for="httpProxyUser">HTTP Proxy User:</label>	
		<div class="col-sm-10">			
		<input type="text" name="httpProxyUser" id="httpProxyUser" class="form-control" value="<%= request.getAttribute("httpProxyUser") == null ? "" : request.getAttribute("httpProxyUser") %>" />
		<small>Specify a user name if required by your proxy server.</small>
		</div>
	</div>

	<div class="form-group">
		<label class="col-sm-2 control-label" for="httpProxyPassword">HTTP Proxy Password:</label>		
		<div class="col-sm-10">		
		<input type="text" name="httpProxyPassword" id="httpProxyPassword" class="form-control" value="<%= request.getAttribute("httpProxyPassword") == null ? "" : request.getAttribute("httpProxyPassword") %>" />
		<small>Specify a password if required by your proxy server.</small>
		</div>
	</div>

	<div class="form-group">
		<div class="col-sm-offset-2 col-sm-10">
			<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Save</button>
		</div>
	</div>


<input type="hidden" name="operation" value="config" />
<input type="hidden" name="st" value="saveHttpProxy" />
</form>

