	
<%@ include file="Header.jsp" %>

	<div class="row">
	
	<br />
	
	<%
String errorMessage = (String)request.getAttribute("errorMessage");
if(errorMessage != null){
	out.println("<div class='alert alert-danger'>" + errorMessage + "</div>");
}
%>

<%
if(request.getAttribute("sslNotEnabled") != null){
	%>
	<div class="alert alert-warning">
		<h4>Warning</h4>
		Although you have a valid SSL certificate, you have not configured SynaMan to listen on HTTPS. 
		<a href="<%=response.encodeURL("app?operation=config&st=main") %>">Click here</a>
		to configure it.
	</div>
	<%
}
%>



	<div class="col-md-6 col-md-offset-3" id="primaryContent_2columns">
	<div id="columnA_2columns">
	
		Let's Encrypt certificate has been configured and you should be able to access the web interface
		using <code>https://<%= request.getAttribute("hostName") %></code>. Your current certificate is valid until
		<b><%= request.getAttribute("expDate") %></b>
		
		<h2>Renewal</h2>
		
		<%
		boolean isDNS = request.getAttribute("challengeType").equals("dns");
		
		if(isDNS){
			%>
			Certificates signed by Let's Encrypt must be renewed every 90 days. You must perform this operation
			again around <b><%= request.getAttribute("renewalDate") %></b>, a few days before it expires to avoid problems. 
			<%
		}else{
			%>
			Certificates signed by Let's Encrypt must be renewed every 90 days. SynaMan will automatically renew the certificate
			around <b><%= request.getAttribute("renewalDate") %></b>.  
			Ensure port inbound TCP/IP port 80 stays available for Let's Encrypt to confirm the challenge.
			<%
		}
		%>
		
		<br><br>
		<a href="<%=response.encodeURL("app?operation=synSSL&rekey=true") %>">Click here</a> if you need to renew the certificate now.
	
	


	</div>
	</div>
	
	
	
	<div class="clearfix"></div>

<%@ include file="Footer.jsp" %>
	
	