<%@page import="java.util.List, com.synametrics.wefmanager.util.AuditLogReader"%>
<%@ include file="Header.jsp" %>

<h3>Audit Logs</h3>

<div class="well well-in">

	<form class="form-inline" action="<%=controllerPath%>" method="POST">
	  <div class="form-group">
	    <label for="lblfilter">Search string</label>
	    <input id="lblfilter" type="text" class="form-control" placeholder="Search String" value="<%= request.getParameter("filter") == null ? "" : request.getParameter("filter") %>" name="filter">
	  </div>
	  <div class="form-group">
	    <label for="lblLineCount">Number of records</label>
	    <input id="lblLineCount" type="number" class="form-control" value="<%= request.getParameter("lineCount") == null ? "200" : request.getParameter("lineCount") %>" name="lineCount">
	  </div>
	  
	  <button type="submit" class="btn btn-primary">Refresh</button>
	  <input type="hidden" name="operation" value="auditlogs">
	</form>
	
	
</div>



<div class="table-responsive">
<%
List<String> logLines = (List<String>) request.getAttribute("logLines");

if(logLines != null && logLines.size() > 0){
	%>
	<table class="table table-hover" width="100%">
		<thead>
		<tr>
			<th>Date</th>
			<th>Time</th>
			<th>IP address</th>
			<th>User name</th>
			<th>Event</th>
			<th>Details</th>
		</tr>
	</thead>
	<%
		for(int i = logLines.size() - 1; i >= 0; i--){
			AuditLogReader formatter = new AuditLogReader(logLines.get(i));
			%>
			<tr>
				<td><%=formatter.getDate() %></td>
				<td><%=formatter.getTime() %></td>
				<td><%=formatter.getIpAddress() %></td>
				<td><%=formatter.getUserId() %></td>
				<td><%=formatter.getEvent() %></td>
				<td><%=formatter.getMessage() %></td>
				
			</tr>
			<%
		}
	%>	
	</table>
	<%
}
%>
</div>
<%@ include file="Footer.jsp" %>