<%@ include file="TipHeader.jsp" %>

<h3>Login URLs</h3>
Login URL is a convinient way of allowing <b><%=request.getAttribute("userFullName") %> 
(<%=request.getParameter("ul") %>)</b> to automatically login without authentication.

<h4>Security risk</h4>
Using these URLs contain security risks since anyone having access to the URL will be able to connect to the server. Therefore,
do NOT use these URLs over the Internet without SSL. 

<h4>URLs</h4> 
For security reasons, these URLs have an expiration date associated with them. 
<table>
	<tr>
		<td><a href="<%=request.getAttribute("neverExpires")%>" target="_blank">Never Expires</a></td>
		<td><a href="<%=request.getAttribute("expiresIn1Day")%>" target="_blank">Expires in 1 day</a></td>
		<td><a href="<%=request.getAttribute("expiresIn2Days")%>" target="_blank">Expires in 2 days</a></td>
	</tr>
	<tr>
		<td><a href="<%=request.getAttribute("expiresIn1Week")%>" target="_blank">Expires in 1 week</a></td>
		<td><a href="<%=request.getAttribute("expiresIn2Weeks")%>" target="_blank">Expires in 2 weeks</a></td>
		<td><a href="<%=request.getAttribute("expiresIn3Weeks")%>" target="_blank">Expires in 3 weeks</a></td>
	</tr>
	
	<tr>
		<td><a href="<%=request.getAttribute("expiresIn1Month")%>" target="_blank">Expires in 1 month</a></td>
		<td><a href="<%=request.getAttribute("expiresIn3Months")%>" target="_blank">Expires in 3 months</a></td>
		<td><a href="<%=request.getAttribute("expiresIn6Months")%>" target="_blank">Expires in 6 months</a></td>
	</tr>
</table>
<%@ include file="TipFooter.jsp" %>