<%@page import="com.synametrics.wefmanager.bean.LicBean"%>
<%@page import="java.util.*, com.synametrics.wefmanager.users.*"%>
<%@ include file="Header.jsp" %>

<div class="row">
	<div class="col-md-12 section-title">
		<h2 style="margin:0;display: inline-block;"><i style="font-size:50px" class="fa fa-folder-open"></i> Managing shared folders</h2> 
		<div class="pull-right">
			<a class="btn btn-primary" href="<%=response.encodeURL("app?operation=mngUsers") %>"><i class="fa fa-users"></i> Manage Users </a>
			
			<%
			if(LicBean.getInstance().isEntOrHigher()){
			%>
			<a class="btn btn-primary" href="<%=response.encodeURL("app?operation=mounts") %>"><i class="fa fa-sitemap"></i> Mounts </a>
			<%
			}
			%>
		</div>
	</div>
</div>


<script type="text/javascript" language="javascript" src="ajaxopenfiledlg/ajaxopenfiledlg.nocache.js"></script>


<%
if(request.getAttribute("infoMessage") != null){
	out.println("<div class='alert alert-info'>" + request.getAttribute("infoMessage") + "</div>");
}
if(request.getAttribute("errorMessage") != null){
	out.println("<div class='alert alert-danger'>" + request.getAttribute("errorMessage") + "</div>");
}
%>

<div class="row">
	<div class="col-md-8 animated bounceInLeft animation-delay-3">
		<h4>Add a new shared folder</h4>
		<form action="<%=controllerPath%>" method="POST" class="form-horizontal">
			<div class="alert alert-info">
				<h4><i class="glyphicon glyphicon-pushpin"> </i> Usage Tip!</h4> To modify the path for an existing folder, try adding a new folder with the same shared name but a different path..
			</div>
		
			<div class="form-group">
				<label class="col-sm-2 control-label" for="sharedName">Shared folder name:</label>
				<div class="col-sm-10"> 
					<input type="text" name="sharedName" id="sharedName" class="form-control" value="" />
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label" for="fpath">Folder path:</label>
				<div class="col-sm-10" id="path"> 
				</div>
			</div>
			
			
			<div class="form-group">
				<label class="col-sm-2 control-label" for="publicRead">Public read:</label>
				<div class="col-sm-2">
					<div class="checkbox">
						<label for="publicRead">
							<input type="checkbox" name="publicRead" id="publicRead" value="1" title="Public folders are automatically added to every user with read access." />
						</label>
					</div> 
				</div>
				<label class="col-sm-2 control-label" for="publicWrite">Public write:</label>
				<div class="col-sm-2">
					<div class="checkbox">
					<label for="publicWrite">
						<input type="checkbox" name="publicWrite" id="publicWrite" value="1" title="Public folders are automatically added to every user with write access." />
					</label>
					</div> 
				</div>
				<span class="col-sm-4">
					<button class="btn"><small><a href="http://web.synametrics.com/SynaManPublicFolders.htm" target="_blank" title="Click to learn about Public Folders.">What are public folders</a></small></button>
				</span>
			</div>
			
			
			<%if(request.getAttribute("allowRB") != null && request.getAttribute("allowRB").equals("true")){ %>
			<div class="form-group">
				<label class="col-sm-2 control-label" for="erb">Recycling Bin:</label>
				<div class="col-sm-1">
					<div class="checkbox">
						<label for="publicRead">
							<input type="checkbox" name="erb" id="erb" value="1" title="If checked, recycling bin will be enabled for this folder." <%= request.getAttribute("erbChecked") %> />
						</label>
					</div> 
				</div>
				<div class="col-sm-9">
				
				</div>
			</div>

			<%} %>
			
			
			
			<%if(request.getAttribute("allowEncryption") != null && request.getAttribute("allowEncryption").equals("true")){ %>
			<div class="form-group">
				<label class="col-sm-2 control-label" for="encryption">Encrypted:</label>
				<div class="col-sm-1">
					<div class="checkbox">
						<label for="publicRead">
							<input type="checkbox" name="encrypted" id="encryption" value="1" title="If checked, files in this folder will be encrypted." />
						</label>
					</div> 
				</div>
				<div class="col-sm-9 well well-sm">
				<b>DO NOT</b> use encryption until you fully understand its implications. <a href="http://web.synametrics.com/synaman-at-rest-encryption.htm" target="_blank">Click here for details</a>.
				</div>
			</div>

			<%} %>
	
	
	
			
			<!-- 
			<div class="form-group">
				<label class="col-sm-2 control-label" for="publicRead">Public read:</label>
				<div class="col-sm-10">
					<div class="checkbox">
					<label for="publicRead">
						<input type="checkbox" name="publicRead" id="publicRead" value="1" title="Public folders are automatically added to every user with read access." />
					</label>
					<small><a href="http://web.synametrics.com/SynaManPublicFolders.htm" target="_blank">Learn about public folders</a></small>
					</div> 
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label" for="publicWrite">Public write:</label>
				<div class="col-sm-10">
					<div class="checkbox">
					<label for="publicWrite">
						<input type="checkbox" name="publicWrite" id="publicWrite" value="1" title="Public folders are automatically added to every user with write access." />
					</label>
					</div> 
				</div>
			</div>
			
			-->
			
			<div class="form-group" >
				<div class="col-sm-offset-2 col-sm-10" id="browse">
				<input type="submit" value="Create" class="btn btn-primary" title="Click here to add a new shared folder">
				</div>
			</div>
			
			<input type="hidden" name="operation" value="mngFolders" />
			<input type="hidden" name="st" value="addFolder" />
		</form>
	</div>
	<div class="col-md-4 animated bounceInRight animation-delay-3">
		<%
		if(request.getAttribute("showGnoti") != null){
		%>
		<div class="well"><tr><td style="padding: 30px;padding-top: 5px;">
			<h4>Global Notifications</h4>
			<a href="app?operation=gnoti" title="Manage global notifications" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">Global Notifications</a> is 
			a mechanism to generate a notification email when someone uploads or downloads a file regardless of its location. <br><br>
			<a href="http://web.synametrics.com/SynaManNotifications.htm" target="_blank">Click here</a> for more information.
			</td></tr></div>
		
		<%
		}
		%>
	</div>
</div>

<%
String tickRE = "<img src='images/read.gif' title='This is a public folder - available to every user with read access' />";
String tickRD = "<img src='images/readNo.gif' title='Automatic read access is denied' />";
String tickWE = "<img src='images/write.gif' title='This is a public folder - available to every user with write access' />";
String tickWD = "<img src='images/writeNo.gif' title='Automatic write access is denied' />";

List<FolderHolder> folders = (List<FolderHolder>)request.getAttribute("folders");
if(folders != null && folders.size() > 0){
	%>
	<h2 class="underline-title no-margin-top">Existing shared folders</h2> 
	
	<table class="table table-striped" width="100%">
	<thead>		
		<tr>
			<th>Shared name</th>
			<th>Shared path</th>
			<th>Users</th>
			<th>Public</th>
			<th>Notifications</th>
			<th>Action</th>
		</tr>
	</thead>
		<%
		for(int i = 0; i < folders.size(); i++){
			int notificationCount = folders.get(i).getNotifications().size();
			%>
			<tr>
				<td><%=folders.get(i).getSharedName() %>
				
				
				<span class="pull-right" >
				<%
				if(folders.get(i).isEncrypted()){
					%>
					<a href="<%=response.encodeURL("app?operation=mngFolders&st=encryptEF&fn=" + folders.get(i).getPkNameNeverNullHtmlSafe()) %>" title="Validate and encrypt files"><span style="color:#00708c;"><i class="glyphicon glyphicon-lock"></i></span></a>
					<%
				}else{
					%>
					<span style="color:#dcdcdc;" title="Folder is not encrypted"><i class="glyphicon glyphicon-lock"></i></span>
					<%
				}
				
				
				
				if(folders.get(i).isRecyclingBinEnabled()){
					%>
					<a href="<%=response.encodeURL("app?operation=mngFolders&st=vrb&fn=" + folders.get(i).getPkNameNeverNullHtmlSafe()) %>" 
					title="View files that were deleted from this folder and are now retained in the Recycle Bin"><span style="color:#00708c;"><i class="glyphicon glyphicon-share"></i></span></a>
					<%
				}else{
					%>
					<span style="color:#dcdcdc;" title="Recycling bin is not enabled for this folder"><i class="glyphicon glyphicon-share"></i></span>
					<%
				}
				
				
				
				%>
				
				
				
				</span>
				</td>
				<td><%=folders.get(i).getPath() %></td>
				<td><%= (folders.get(i).isPublicRead() || folders.get(i).isPublicWrite()) ? "N/A" : "" + folders.get(i).getUserCount() %></td>
				<td><%= (folders.get(i).isPublicRead() ? tickRE : tickRD) %> <%= (folders.get(i).isPublicWrite() ? tickWE : tickWD) %> </td>
				<td><a href="<%=response.encodeURL("app?operation=notifications") %>&fn=<%=folders.get(i).getPkNameNeverNullHtmlSafe() %>" title="<%=notificationCount%> email(s) has been specified for notification. Click here to modify.">Notifications (<%=notificationCount %>)</a></td>
				<td>
				<a href="<%=response.encodeURL("app?operation=mngFolders&st=modF") %>&fn=<%=folders.get(i).getPkNameNeverNullHtmlSafe()%>" title="Modify folder parameters" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">Modify</a> |
				
				<a href="<%=response.encodeURL("app?operation=mngFolders") %>&st=removeFolder&fn=<%=folders.get(i).getPkNameNeverNullHtmlSafe() %>" title="Click here to remove this share">Remove folder</a>
				
				</td>
			</tr>
			<%
		}
		%>
		
		
	</table>
	
	
	
	<% 
}
%>






<%@ include file="Footer.jsp" %>