<%@ include file="TipHeader.jsp" %>



<form action="<%=controllerPath%>" target="_parent" method="POST">
<table>
	
	<tr>
		<th align="right">Friendly name:</th>
		<td><input type="text" title="Friendly name for this trigger." value="<%=request.getAttribute("friendlyName") == null ? "" : request.getAttribute("friendlyName") %>" name="friendlyName" size="30"><br>
		</td>
	</tr>
		
	<tr>
		<th align="right">Executable&nbsp;path:</th>
		<td><input title="Absolute path for the executable file to run. For example: C:\SomeFolder\MyProg.exe" type="text" value="<%=request.getAttribute("executablePath") == null ? "" : request.getAttribute("executablePath") %>" name="executablePath" size="30" ><br>
		</td>
	</tr>
	
	<tr>
		<th align="right">Parameters:</th>
		<td><input title="Command line parameters. Leave blank for none. Multiple parameters are separated by a comma. For example: $FILE_NAME, $CLIENT_IP, $USER_ID" type="text" value="<%=request.getAttribute("executableParameters") == null ? "" : request.getAttribute("executableParameters") %>" name="executableParameters" size="30"><br>
		</td>
	</tr>
	
	<tr>
		<th align="right">Expires in:</th>
		<td><input title="Number of days for this rule to expire. -1 means it will never expire." type="text" value="<%=request.getAttribute("expirationDate") == null ? "-1" : request.getAttribute("expirationDate") %>" name="expirationDate" size="6"> day(s)<br>
		</td>
	</tr>
	<tr>
		<td colspan="2">
		<fieldset>
		<legend>Trigger criteria</legend>
		<table>
			<tr>
				<th>File path</th>
				<td><input type="text" name="path" value="<%=request.getAttribute("path") == null ? "$ANY_PATH$" : request.getAttribute("path") %>" size="30"><br><small>Folder containing the file that should execute this trigger</small>
			</tr>
			
			<tr>
				<th>File name</th>
				<td><input type="text" name="fileName" value="<%=request.getAttribute("fileName") == null ? "$ANY_FILE_NAME$" : request.getAttribute("fileName") %>" size="30"><br><small>File name that should execute this trigger</small>
			</tr>
			
			<tr>
				<th>User Login</th>
				<td><input type="text" name="userId" value="<%=request.getAttribute("userId") == null ? "$ANY_USER$" : request.getAttribute("userId") %>" size="30"><br><small>User login that should execute this trigger</small>
			</tr>
			
			<tr>
				<th>Event type</th>
				<td>
					<input type="checkbox" name="chkUpload" value="1" <%=request.getAttribute("chkUpload") == null ? "" : "checked='checked'" %>> File uploaded<br>
					<input type="checkbox" name="chkDownload" value="1" <%=request.getAttribute("chkDownload") == null ? "" : "checked='checked'" %>> File downloaded<br>
					<input type="checkbox" name="chkZipped" value="1" <%=request.getAttribute("chkZipped") == null ? "" : "checked='checked'" %>> File zipped<br>
					<input type="checkbox" name="chkExtracted" value="1" <%=request.getAttribute("chkExtracted") == null ? "" : "checked='checked'" %>> File extracted<br>
				</td>
			</tr>
			
		</table>
		
		</fieldset>
		
		</td>
	</tr>
	
	<tr>
		<th></th>
		<td><input type="submit" value="Save Trigger" class="dialogButton"></td>
	</tr>
</table>

<input type="hidden" name="operation" value="triggers">
<input type="hidden" name="st" value="saveT">
<input type="hidden" name="i" value="<%=request.getParameter("i") == null ? "-1" : request.getParameter("i") %>">

</form>
<%@ include file="TipFooter.jsp" %>