<%@page import="java.util.List, com.synametrics.wefmanager.users.*"%>
<%@ include file="Header.jsp" %>
<h1>Public link exceptions</h1>
<br><br>
<%
String pbEnabled = request.getAttribute("enablePublicLinks").equals("true") ? "enabled" : "disabled";
String opposite = request.getAttribute("enablePublicLinks").equals("true") ? "disabled" : "enabled";

List<UserHolder> users = (List<UserHolder>) request.getAttribute("users");


String errorMessage = (String) request.getAttribute("errorMessage");
if(errorMessage != null){
	%>
	<div class="alert alert-danger">
	<h4>Error:<h4> <%=errorMessage %>
	</div>
	<%
}
%>

Public links are <b><%=pbEnabled %></b> on your server. This page is used to negate the global setting.
<b>IMPORTANT: </b>These are exceptional cases - meaning if you switch the public link status to <b><%=opposite %></b> globally, public links
will become <b><%=pbEnabled %></b> for these users.


<br><br>

<table style="width:100%">

  <tr>
    <td>
		<form action="<%=controllerPath%>" method="POST">
			<b>Add a user: </b> </b><input type="text" name="login" value="" title="Enter user's login and press enter.">
			<input type="hidden" name="st" value="addPlex">
			<input type="hidden" name="operation" value="aconfig">
		</form>
	</td>
    <td align="right">
   	 	<a href="<%=response.encodeURL("app?operation=mngUsers") %>">Manager users</a>
    </td>
  </tr>
</table>

<%
if(users.size() > 0){
	%>
	
	<h4>Existing user exceptions</h4>
	
	<table class="table" style="width:400px;">
	  <tr>
	    <th>Login</th>
	    <th>Action</th>
	  </tr>
	  
	  <%
	  for(int i = 0; i < users.size(); i++){
		  UserHolder oneUser = users.get(i);
		  %>
		  <tr>
		    <td><%=oneUser.getLogin() %></td>
		    <td><a href="app?operation=aconfig&st=delPlex&login=<%=oneUser.getLogin() %>" alt="Click here to remove this exception">Remove</a></td>
		  </tr>
		  <%
	  }
	  %>
	</table>

	<%
}
%>
<%@ include file="Footer.jsp" %>
