<%@page import="java.util.Calendar"%>
<%@ include file="Header.jsp" %>

<h2 class="underline-title no-margin-top">Contact/Payment Information</h2> 


<%
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%>
	<div class="alert alert-danger">
		<%=errorMsg %>
	</div>
	<%
}
%>
<section>

	<%
	
	String stValue = "savenpay";
	if(request.getAttribute("justPaymentInfo") == null){
	%>
	
	
	<%@ include file="PurchaseSummaryTable.jsp" %>
	
	
	
	<%
	}else{
		stValue = "saveonly";
	}
	%>
	
	<div class="alert alert-success">
	<b>Note:</b> Credit Card number you provide below will <b>NOT</b> be saved on any Synametrics' server. Instead, it will be stored on the machine where SynaMan is running. Card number will be encrypted.</b>
	</div>
	
	
	
	
	
	<form role="form" action="<%=controllerPath%>" method="POST">
	
           <div class="panel panel-primary animated fadeInDown">
                <div class="panel-heading">License Count and Frequency</div>
                <div class="panel-body">
                    <div class="row">
        				<div class="col-md-6">
        					<!-- 
	                        <div class="form-group">
	                            <label for="freq">Frequency<sup>*</sup></label>
	                      
	                            <select id="freq" name="freq" class="form-control">
	                            	<option value="Y">Yearly - with 1 month free</option>
	                            	<option value="M">Monthly</option>
	                            </select>
	                        </div>
	                        -->
	                        
	                        
	                        <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="contactFN">First Name<sup>*</sup></label>
                                        <input type="text" class="form-control" id="contactFN" name="contactFN" placeholder="First Name" maxlength="30"
                                        value="<%= request.getAttribute("contactFN") == null ? "" : request.getAttribute("contactFN") %>">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="contactLN">Last Name<sup>*</sup></label>
                                        <input type="text" class="form-control" id="contactLN" name="contactLN" placeholder="Last Name" maxlength="30" 
                                        value="<%= request.getAttribute("contactLN") == null ? "" : request.getAttribute("contactLN") %>">
                                    </div>
                                </div>
                            </div>
                                
                                
	                        <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="contactFN">Job Title<sup>*</sup></label>
                                        <input type="text" class="form-control" id="jTitle" name="jTitle" placeholder="Title"  maxlength="30"
                                        value="<%= request.getAttribute("jTitle") == null ? "" : request.getAttribute("jTitle") %>">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="contactLN">Phone<sup>*</sup></label>
                                        <input type="text" class="form-control" id="phone" name="phone" placeholder="Phone number" 
                                        title="Specify country code if the number is for a country other than the United States or Canada. For example: +44 XXX... for UK."
                                        maxlength="40"
                                        value="<%= request.getAttribute("phone") == null ? "" : request.getAttribute("phone") %>">
                                    </div>
                                </div>
                            </div>
                            
	                        <div class="form-group">
	                            <label for="contactFN">Company<sup>*</sup></label>
	                            <input type="text" name="company" class="form-control" id="company" required maxlength="60"
	                            placeholder="Company - use only English characters" 
                                        value="<%= request.getAttribute("company") == null ? "" : request.getAttribute("company") %>">
	                        </div>
	                        
	                        <div class="form-group">
	                            <label for="email">Contact Email<sup>*</sup></label>
	                            <input type="email" name="email" class="form-control" id="email" required maxlength="50" placeholder="Email" 
                                        value="<%= request.getAttribute("email") == null ? "" : request.getAttribute("email") %>">
	                        </div>
	                        
	                        
	                        
	                        
	                        <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="address1">Address<sup>*</sup></label>
                                        <input type="text" class="form-control" id="address1" name="address1" placeholder="Address Line 1"  
                                        required maxlength="60"
                                        value="<%= request.getAttribute("address1") == null ? "" : request.getAttribute("address1") %>">
                                        
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="contactLN">&nbsp;<sup></sup></label>
                                        <input type="text" class="form-control" id="address2" name="address2" placeholder="Address Line 2"  
                                        maxlength="60"
                                        value="<%= request.getAttribute("address2") == null ? "" : request.getAttribute("address2") %>">
                                    </div>
                                </div>
                            </div>
                            
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <input type="text" class="form-control" id="city" name="city" placeholder="City"  required maxlength="40"
                                        value="<%= request.getAttribute("city") == null ? "" : request.getAttribute("city") %>">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <input type="text" class="form-control" id="state" name="state" placeholder="State"  maxlength="30"
                                        value="<%= request.getAttribute("state") == null ? "" : request.getAttribute("state") %>">
                                    </div>
                                </div>
                            </div>
                            
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <input type="text" class="form-control" id="zip" name="zip" placeholder="Zip/Postal Code"  required
                                        maxlength="20"
                                        value="<%= request.getAttribute("zip") == null ? "" : request.getAttribute("zip") %>">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <select id="freq" name="country" class="form-control">
                                        
                                        <%
                                        if(request.getAttribute("country") == null){
											%>
                                        	<option value="">Select Country</option>
                                        	<%
                                        }else{
                                        	%>
                                        	<option value="<%=request.getAttribute("country")%>"><%=request.getAttribute("country")%></option>
                                        	<%
                                        }
                                        %>

<option value="United States of America">United States of America</option>
<option value="United Kingdom">United Kingdom</option>
<option value="Canada">Canada</option>
<option value="Germany">Germany</option>
<option value="----------">--------------------</option>
<option value="Afghanistan">Afghanistan</option>
<option value="Albania">Albania</option>
<option value="Algeria">Algeria</option>
<option value="American Samoa">American Samoa</option>
<option value="Andorra">Andorra</option>
<option value="Anguilla">Anguilla</option>
<option value="Antarctica">Antarctica</option>
<option value="Antigua and Barbuda">Antigua and Barbuda</option>
<option value="Argentina">Argentina</option>
<option value="Armenia">Armenia</option>
<option value="Aruba">Aruba</option>
<option value="Australia">Australia</option>
<option value="Austria">Austria</option>
<option value="Azerbaijan">Azerbaijan</option>
<option value="Bahamas">Bahamas</option>
<option value="Bahrain">Bahrain</option>
<option value="Bangladesh">Bangladesh</option>
<option value="Barbados">Barbados</option>
<option value="Belarus">Belarus</option>
<option value="Belgium">Belgium</option>
<option value="Belize">Belize</option>
<option value="Benin">Benin</option>
<option value="Bermuda">Bermuda</option>
<option value="Bhutan">Bhutan</option>
<option value="Bolivia">Bolivia</option>
<option value="Bosnia and Herzegovina">Bosnia and Herzegovina</option>
<option value="Botswana">Botswana</option>
<option value="Bouvet Island">Bouvet Island</option>
<option value="Brazil">Brazil</option>
<option value="British Indian Ocean Territory">British Indian Ocean Territory</option>
<option value="Brunei Darussalam">Brunei Darussalam</option>
<option value="Bulgaria">Bulgaria</option>
<option value="Burkina Faso">Burkina Faso</option>
<option value="Burundi">Burundi</option>
<option value="Cambodia">Cambodia</option>
<option value="Cameroon">Cameroon</option>
<option value="Canada">Canada</option>
<option value="Cape Verde">Cape Verde</option>
<option value="Cayman Islands">Cayman Islands</option>
<option value="Central African Republic">Central African Republic</option>
<option value="Chad">Chad</option>
<option value="Chile">Chile</option>
<option value="China">China</option>
<option value="Christmas Island">Christmas Island</option>
<option value="Cocos (Keeling) Islands">Cocos (Keeling) Islands</option>
<option value="Colombia">Colombia</option>
<option value="Comoros">Comoros</option>
<option value="Congo">Congo</option>
<option value="Cook Islands">Cook Islands</option>
<option value="Costa Rica">Costa Rica</option>
<option value="Cote d'Ivoire">Cote d&#39;Ivoire</option>
<option value="Croatia">Croatia</option>
<option value="Cyprus">Cyprus</option>
<option value="Czech Republic">Czech Republic</option>
<option value="Denmark">Denmark</option>
<option value="Djibouti">Djibouti</option>
<option value="Dominica">Dominica</option>
<option value="Dominican Republic">Dominican Republic</option>
<option value="East Timor">East Timor</option>
<option value="Ecuador">Ecuador</option>
<option value="Egypt">Egypt</option>
<option value="El Salvador">El Salvador</option>
<option value="Equatorial Guinea">Equatorial Guinea</option>
<option value="Eritrea">Eritrea</option>
<option value="Estonia">Estonia</option>
<option value="Ethiopia">Ethiopia</option>
<option value="Falkland Islands (Malvinas)">Falkland Islands (Malvinas)</option>
<option value="Faroe Islands">Faroe Islands</option>
<option value="Fiji">Fiji</option>
<option value="Finland">Finland</option>
<option value="France">France</option>
<option value="French Guiana">French Guiana</option>
<option value="French Polynesia">French Polynesia</option>
<option value="French Southern Territories">French Southern Territories</option>
<option value="Gabon">Gabon</option>
<option value="Gambia">Gambia</option>
<option value="Georgia">Georgia</option>
<option value="Germany">Germany</option>
<option value="Ghana">Ghana</option>
<option value="Gibraltar">Gibraltar</option>
<option value="Greece">Greece</option>
<option value="Greenland">Greenland</option>
<option value="Grenada">Grenada</option>
<option value="Guadeloupe">Guadeloupe</option>
<option value="Guam">Guam</option>
<option value="Guatemala">Guatemala</option>
<option value="Guinea">Guinea</option>
<option value="Guinea-Bissau">Guinea-Bissau</option>
<option value="Guyana">Guyana</option>
<option value="Haiti">Haiti</option>
<option value="Honduras">Honduras</option>
<option value="Hong Kong">Hong Kong</option>
<option value="Hungary">Hungary</option>
<option value="Iceland">Iceland</option>
<option value="India">India</option>
<option value="Indonesia">Indonesia</option>
<option value="Ireland">Ireland</option>
<option value="Israel">Israel</option>
<option value="Italy">Italy</option>
<option value="Jamaica">Jamaica</option>
<option value="Japan">Japan</option>
<option value="Jordan">Jordan</option>
<option value="Kazakhstan">Kazakhstan</option>
<option value="Kenya">Kenya</option>
<option value="Kiribati">Kiribati</option>
<option value="Korea, Republic of">Korea, Republic of</option>
<option value="Kuwait">Kuwait</option>
<option value="Kyrgyzstan">Kyrgyzstan</option>
<option value="Lao People's Democratic Republic">Lao People&#39;s Democratic Republic</option>
<option value="Latvia">Latvia</option>
<option value="Lebanon">Lebanon</option>
<option value="Lesotho">Lesotho</option>
<option value="Liberia">Liberia</option>
<option value="Liechtenstein">Liechtenstein</option>
<option value="Lithuania">Lithuania</option>
<option value="Luxembourg">Luxembourg</option>
<option value="Macau">Macau</option>
<option value="Macedonia">Macedonia</option>
<option value="Madagascar">Madagascar</option>
<option value="Malawi">Malawi</option>
<option value="Malaysia">Malaysia</option>
<option value="Maldives">Maldives</option>
<option value="Mali">Mali</option>
<option value="Malta">Malta</option>
<option value="Marshall Islands">Marshall Islands</option>
<option value="Martinique">Martinique</option>
<option value="Mauritania">Mauritania</option>
<option value="Mauritius">Mauritius</option>
<option value="Mayotte">Mayotte</option>
<option value="Mexico">Mexico</option>
<option value="Micronesia">Micronesia</option>
<option value="Moldova">Moldova</option>
<option value="Monaco">Monaco</option>
<option value="Mongolia">Mongolia</option>
<option value="Montserrat">Montserrat</option>
<option value="Morocco">Morocco</option>
<option value="Mozambique">Mozambique</option>
<option value="Myanmar">Myanmar</option>
<option value="Namibia">Namibia</option>
<option value="Nauru">Nauru</option>
<option value="Nepal">Nepal</option>
<option value="Netherlands">Netherlands</option>
<option value="Netherlands Antilles">Netherlands Antilles</option>
<option value="New Caledonia">New Caledonia</option>
<option value="New Zealand">New Zealand</option>
<option value="Nicaragua">Nicaragua</option>
<option value="Niger">Niger</option>
<option value="Nigeria">Nigeria</option>
<option value="Niue">Niue</option>
<option value="Norfolk Island">Norfolk Island</option>
<option value="Northern Mariana Islands">Northern Mariana Islands</option>
<option value="Norway">Norway</option>
<option value="Oman">Oman</option>
<option value="Pakistan">Pakistan</option>
<option value="Palau">Palau</option>
<option value="Panama">Panama</option>
<option value="Papua New Guinea">Papua New Guinea</option>
<option value="Paraguay">Paraguay</option>
<option value="Peru">Peru</option>
<option value="Philippines">Philippines</option>
<option value="Pitcairn Islands">Pitcairn Islands</option>
<option value="Poland">Poland</option>
<option value="Portugal">Portugal</option>
<option value="Puerto Rico">Puerto Rico</option>
<option value="Qatar">Qatar</option>
<option value="Reunion">Reunion</option>
<option value="Romania">Romania</option>
<option value="Russian Federation">Russian Federation</option>
<option value="Rwanda">Rwanda</option>
<option value="Saint Kitts and Nevis">Saint Kitts and Nevis</option>
<option value="Saint Lucia">Saint Lucia</option>
<option value="Saint Vincent and the Grenadines">Saint Vincent and the Grenadines</option>
<option value="Samoa">Samoa</option>
<option value="San Marino">San Marino</option>
<option value="Sao Tome and Principe">Sao Tome and Principe</option>
<option value="Saudi Arabia">Saudi Arabia</option>
<option value="Senegal">Senegal</option>
<option value="Seychelles">Seychelles</option>
<option value="Sierra Leone">Sierra Leone</option>
<option value="Singapore">Singapore</option>
<option value="Slovakia (Slovak Republic)">Slovakia (Slovak Republic)</option>
<option value="Slovenia">Slovenia</option>
<option value="Solomon Islands">Solomon Islands</option>
<option value="Somalia">Somalia</option>
<option value="South Africa">South Africa</option>
<option value="Spain">Spain</option>
<option value="Sri Lanka">Sri Lanka</option>
<option value="St. Helena">St. Helena</option>
<option value="St. Pierre and Miquelon">St. Pierre and Miquelon</option>
<option value="Sudan">Sudan</option>
<option value="Suriname">Suriname</option>
<option value="Svalbard and Jan Mayen Islands">Svalbard and Jan Mayen Islands</option>
<option value="Swaziland">Swaziland</option>
<option value="Sweden">Sweden</option>
<option value="Switzerland">Switzerland</option>
<option value="Syrian Arab Republic">Syrian Arab Republic</option>
<option value="Taiwan">Taiwan</option>
<option value="Tajikistan">Tajikistan</option>
<option value="Tanzania">Tanzania</option>
<option value="Thailand">Thailand</option>
<option value="Togo">Togo</option>
<option value="Tokelau">Tokelau</option>
<option value="Tonga">Tonga</option>
<option value="Trinidad and Tobago">Trinidad and Tobago</option>
<option value="Tunisia">Tunisia</option>
<option value="Turkey">Turkey</option>
<option value="Turkmenistan">Turkmenistan</option>
<option value="Turks and Caicos Islands">Turks and Caicos Islands</option>
<option value="Tuvalu">Tuvalu</option>
<option value="Uganda">Uganda</option>
<option value="Ukraine">Ukraine</option>
<option value="United Arab Emirates">United Arab Emirates</option>
<option value="United Kingdom">United Kingdom</option>
<option value="United States of America">United States of America</option>
<option value="United States Minor Outlying Islands">United States Minor Outlying Islands</option>
<option value="Uruguay">Uruguay</option>
<option value="Uzbekistan">Uzbekistan</option>
<option value="Vanuatu">Vanuatu</option>
<option value="Venezuela">Venezuela</option>
<option value="Viet Nam">Viet Nam</option>
<option value="Virgin Islands (British)">Virgin Islands (British)</option>
<option value="Virgin Islands (U.S.)">Virgin Islands (U.S.)</option>
<option value="Wallis and Futuna Islands">Wallis and Futuna Islands</option>
<option value="Western Sahara">Western Sahara</option>
<option value="Yemen">Yemen</option>
<option value="Yugoslavia">Yugoslavia</option>
<option value="Zambia">Zambia</option>
<option value="Zimbabwe">Zimbabwe</option>
			                            </select>
                                    </div>
                                </div>
                            </div>
	                        
	                   		<!-- 
	                        <div class="row">
	                            <div class="col-md-8">
	                                <label class="checkbox-inline">
	                                    <input type="checkbox" id="inlineCheckbox1" value="1" checked='checked'> Auto Renew.
	                                </label>
	                            </div>
	                            
	                        </div> -->
                        </div>
                        
                        <div class="col-md-6">
                        	<div class="form-group">
	                            <label for="contactFN">Card Holder Name<sup>*</sup></label>
	                            <input type="text" name="ccName" class="form-control" id="ccName" required placeholder="Card holder name"  maxlength="100"
                                        value="<%= request.getAttribute("ccName") == null ? "" : request.getAttribute("ccName") %>">
	                        </div>
	                        
	                        <div class="form-group">
	                            <label for="contactFN">Card Number<sup>*</sup></label>
	                            <input type="text" name="ccNumber" class="form-control" id="ccNumber" required placeholder="Card number"  maxlength="30"
                                        value="<%= request.getAttribute("ccNumberMasked") == null ? "" : request.getAttribute("ccNumberMasked") %>">
	                        </div>
	                        
	                        <div class="row">
                                <div class="col-md-6">
                                	<label for="expMonth">Exp Month<sup>*</sup></label>
                                    <select id="expMonth" name="expMonth" class="form-control">
			                            	<option value="1" <%= (request.getAttribute("expMonth") != null && request.getAttribute("expMonth").equals("1")) ? " selected " : "" %> >Jan - 01</option>
			                            	<option value="2" <%= (request.getAttribute("expMonth") != null && request.getAttribute("expMonth").equals("2")) ? " selected " : "" %> >Feb - 02</option>
			                            	<option value="3" <%= (request.getAttribute("expMonth") != null && request.getAttribute("expMonth").equals("3")) ? " selected " : "" %> >Mar - 03</option>
			                            	<option value="4" <%= (request.getAttribute("expMonth") != null && request.getAttribute("expMonth").equals("4")) ? " selected " : "" %> >Apr - 04</option>
			                            	<option value="5" <%= (request.getAttribute("expMonth") != null && request.getAttribute("expMonth").equals("5")) ? " selected " : "" %> >May - 05</option>
			                            	<option value="6" <%= (request.getAttribute("expMonth") != null && request.getAttribute("expMonth").equals("6")) ? " selected " : "" %> >Jun - 06</option>
			                            	<option value="7" <%= (request.getAttribute("expMonth") != null && request.getAttribute("expMonth").equals("7")) ? " selected " : "" %> >Jul - 07</option>
			                            	<option value="8" <%= (request.getAttribute("expMonth") != null && request.getAttribute("expMonth").equals("8")) ? " selected " : "" %> >Aug - 08</option>
			                            	<option value="9" <%= (request.getAttribute("expMonth") != null && request.getAttribute("expMonth").equals("9")) ? " selected " : "" %> >Sep - 09</option>
			                            	<option value="10" <%= (request.getAttribute("expMonth") != null && request.getAttribute("expMonth").equals("10")) ? " selected " : "" %> >Oct - 10</option>
			                            	<option value="11" <%= (request.getAttribute("expMonth") != null && request.getAttribute("expMonth").equals("11")) ? " selected " : "" %> >Nov - 11</option>
			                            	<option value="12" <%= (request.getAttribute("expMonth") != null && request.getAttribute("expMonth").equals("12")) ? " selected " : "" %> >Dec - 12</option>
			                            </select>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                    
                                    	<label for="expYear">Exp Year<sup>*</sup></label>
                                        <select id="expYear" name="expYear" class="form-control">
                                        
                                        	<%
                                        	Calendar cal = Calendar.getInstance();
                                    		cal.setTimeInMillis(System.currentTimeMillis());
                                    		int startYear = cal.get(Calendar.YEAR);
                                    		
                                    		int selYear = -1;
                                    		
                                    		if(request.getAttribute("expYear") != null){
                                    			selYear = Integer.parseInt((String) request.getAttribute("expYear"));
                                    		}
                                    		for(int i = 0; i < 15; i++){
                                    			
                                    			String selStr = "";
                                    			if(startYear == selYear) selStr = " selected ";
                                    			%>
                                    			<option value="<%= startYear%>" <%=selStr %>><%= startYear%></option>
                                    			<%
                                    			startYear++;
                                    		}
                                        	%>
			                            	
			                            </select>
                                    </div>
                                </div>
                            </div>
                            
                            
                            
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
			                            <label for="secCode">CVV Code<sup>*</sup></label>
			                            <input type="number" name="secCode" class="form-control" id="secCode" required 
			                            	placeholder="3 or 4 digit on back of your card"  
		                                        value="<%= request.getAttribute("secCode") == null ? "" : request.getAttribute("secCode") %>">
			                        </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
			                            <label for="ccType">Card Type<sup>*</sup></label>
			                            <select class="form-control" name="ccType" id="ccType" >
			                            	<option value="0"  <%= (request.getAttribute("ccType") != null && request.getAttribute("ccType").equals("0")) ? " selected " : "" %> >Visa</option>
			                            	<option value="1"  <%= (request.getAttribute("ccType") != null && request.getAttribute("ccType").equals("1")) ? " selected " : "" %> >Mastercard</option>
			                            	<option value="2"  <%= (request.getAttribute("ccType") != null && request.getAttribute("ccType").equals("2")) ? " selected " : "" %> >American Express</option>
			                            </select>
			                        </div>
                                </div>
                            </div>
                            
                            
                            
	                        
	                        
	                        <div class="form-group">
	                            <label for="bemail">Billing Email:</label>
	                            <input type="email" name="bemail" class="form-control" id="bemail" maxlength="70"
	                            placeholder="Billing Email, if different from Contact Email"  
                                        value="<%= request.getAttribute("bemail") == null ? "" : request.getAttribute("bemail") %>">
	                        </div>
	                        
	                        
	                        
	                        
                        </div>
                     </div>
                     
                     
                     
                        <input type="hidden" name="operation" value="buy">
                        <input type="hidden" name="st" value="<%=stValue%>">
                        
                   		<div class="form-group">
                            <button type="submit" class="btn btn-primary pull-right">Proceed</button>
                        </div>
                    
                    
                </div>
            </div>
  
      
    
    
     </form>

</section>






<%@ include file="Footer.jsp" %>