<%@ include file="Header.jsp" %>

<h2 class="underline-title no-margin-top">Purchasing SynaMan</h2> 


<%
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%>
	<div class="alert alert-danger">
		<%=errorMsg %>
	</div>
	<%
}
%>
<section>

	<div class="row">
		<div class="col-md-2 col-sm-3"></div>
		
        <div class="col-md-4 col-sm-6">
            <div class="pricign-box animated fadeInUp animation-delay-7">
                <div class="pricing-box-header">
                    <h2>Perpetual</h2>
                    <p>Pay once</p>
                </div>
                <div class="pricing-box-price">
                    <h3><%= request.getAttribute("perpCost") %> <sub>/ one-time</sub> </h3>
                </div>
                <div class="pricing-box-content">
                    <ul>
                        <li><i class="fa fa-inbox"></i> Unlimited Users.</li>
                        <li><i class="fa fa-cloud-download"></i> Unlimited Transfers.</li>
                        <li><i class="fa fa-dashboard"></i> Optional Yearly Support.</li>
                        <li><i class="fa fa-sitemap"></i> Includes 1 year of support for free</li>
                        <li><i class="fa fa-shopping-cart"></i> <a href="https://web.synametrics.com/SynaManCost.htm" target="_blank" >Details...</a></li>
                    </ul>
                </div>
                <div class="pricing-box-footer">
                    <a href="<%=response.encodeURL("app?operation=buy&st=bPerp") %>" class="btn btn-primary">Purchase Now</a>
                </div>
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class="pricign-box pricign-box-pro animated fadeInUp animation-delay-9">
                <div class="pricing-box-header">
                    <h2>Monthly Subscription</h2>
                    <p>Pay as you go</p>
                </div>
                <div class="pricing-box-price">
                    <h3><%= request.getAttribute("paygCost") %> <sub>/ month/user</sub> </h3>
                </div>
                <div class="pricing-box-content">
                    <ul>
                        <li><i class="fa fa-inbox"></i> Limited Users</li>
                        <li><i class="fa fa-cloud-download"></i> Unlimited Transfers</li>
                        <li><i class="fa fa-dashboard"></i> Free Upgrades and Support</li>
                        <li><i class="fa fa-sitemap"></i> Yearly and multiple user discounts</li>
                        <li><i class="fa fa-shopping-cart"></i> <a href="https://web.synametrics.com/SynaManCost.htm" target="_blank">Details...</a></li>
                    </ul>
                </div>
                <div class="pricing-box-footer">
                    <a href="<%=response.encodeURL("app?operation=buy&st=bPayg") %>" class="btn btn-primary">Purchase Now</a>
                </div>
            </div>
        </div>
        
    </div> <!-- row -->

</section>






<%@ include file="Footer.jsp" %>