<%@ include file="Header.jsp" %>

<h1>Registration Failed</h1>
<br>

<%
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%>
	<div class="alert alert-danger"><h4>Error</h4><%=errorMsg %></div>
	<%
}
%>

<div class="row">
	<div class="col-md-8 col-md-offset-2">
	
	
		<!-- ******* Create Window Panel ******* -->
		<div class="panel panel-default">
			<div class="panel-heading">Error occurred during registration</div>
			<div class="panel-body">
				Your SynaMan needs to contact Synametrics' website during registration. You run into this
				problem if it is unable to reach the site. Possible reason for this error are:
				<br><br>
				<ul>
					<li>There is a temporary network problem. In this case, please try registering later.</li>
					<li>A firewall is blocking communication between your SynaMan and Synametrics' web site. Use the <b>Manual Registration</b>
					method specified below to register your copy. </li>
				</ul>
				
				
				<h2>Manual Registration</h2>
				
				Manually registering SynaMan is a 3-step process:
				<br><br>
				<div class="panel panel-warning">
					<div class="panel-heading">Step 1:</div>
					<div class="panel-body">
					  	Visit <a href="https://www.synametrics.com/SynametricsWebApp/SerialReg.jsp" target="_blank">https://www.synametrics.com/SynametricsWebApp/SerialReg.jsp</a>
					  	from a machine that can go out on the Internet.
					</div>
				</div>
				
				<br><br>
				<div class="panel panel-warning">
					<div class="panel-heading">Step 2:</div>
					<div class="panel-body">
					  	Paste the following content as the Registration Code:
					  	<br><br>
					  	<textarea row="10" readonly=true column="50" class="form-control"><%= request.getAttribute("regData") %></textarea>
					  	<br><br>
					  	and submit.
					</div>
				</div>
				
				<br><br>
				<div class="panel panel-warning">
					<div class="panel-heading">Step 3:</div>
					<div class="panel-body">
					  	Step 2 will display a code after you submit. Paste that code below.
					  	
					  	
					  	<div class="row">
					  		<div class="col-md-5">
						  		<form action="<%= request.getAttribute("appPath") %>" method="post" role="form">
	
									<div class="form-group">
										<label for="code">Code: </label>
										<input type="number" class="form-control" id="code" name="regCode" required>
									</div>
									<div class="form-group">
										<button type="submit" class="btn btn-default">Submit</button>
									</div>
										
									
									
									<input type="hidden" name="operation" value="esnum">
									<input type="hidden" name="st" value="manman">
									<input type="hidden" name="regData" value="<%= request.getAttribute("regData") %>">
									
							</form>
					  		</div>
					  	</div>
					  	
					  	
					  		



						
					</div>
				</div>
				
			</div>
			
		</div>
	</div>
</div>



<%@ include file="Footer.jsp" %>