<%@ include file="Header.jsp" %>

<h2 class="underline-title no-margin-top">License in Use</h2> 


<div class="row">
	<div class="col-md-6 col-md-offset-3">
		<!-- ******* Create Window Panel ******* -->
		
		<div class="well">
			The serial number you are applying has been used, apparently on a different system, in the past. Details are displayed below:
			<br><br>
			<table class="table">
				<tr><th>Previous Registration Date:</th><td><%= request.getAttribute("prevDate") %></td></tr>
				<tr><th>Host Name/IP: </th><td><%= request.getAttribute("prevFQDN") %></td></tr>
			</table>
			<br><br>
			Click proceed if you would like to revoke the previously registered license. SynaMan will not work 
			on the machine this license was used if you click Proceed below.
			
			<br><br>
			<div class="row">
				<div class="col-md-8">
					<form  action="<%=controllerPath%>" method="POST">
						<button class="btn btn-warning pull-right" 
							title="Revoke previous license and register this as the new server" 
							type="submit" style="width:300px;" >Revoke previous license</button>
						<input type="hidden" name="operation" value="esnum">
						<input type="hidden" name="sn" value="<%= request.getAttribute("sn") %>">
						<input type="hidden" name="company" value="<%= request.getAttribute("co") %>">
						<input type="hidden" name="rv" value="1">
					</form>
				</div>
				<div class="col-md-4">
				<a href="<%=response.encodeURL("app?operation=about") %>"><button class="btn btn-primary">Cancel</button></a>
				</div>
			</div>
			
			
		</div>
	
	</div>
</div>






<%@ include file="Footer.jsp" %>