<%@page import="com.synametrics.wefmanager.bean.ResourceDirector"%>
<%@ include file="Header.jsp" %>

<h2 class="section-title no-margin-top">Registration</h2> 
<div class="well well-sm">
<p>The system is not able to register this copy of SynaMan. This could happen if:</p>

<ul>
	<li>You are not connected to the Internet</li>
	<li>Out-bound HTTP port (80) is blocked by your firewall</li>
</ul>

<p>You have one of two choices:</p>

<ul>
	<li>You can try again later</li>
	<li>Try submitting a manual request by  
	<a href="<%=ResourceDirector.getInstance().getVendorUrlAndPath(false) %>Download.do?ProgName=SynaMan" target="_blank">clicking here</a> - 
	Once you fill out the registration form on our website, you will be sent an email containing a serial number. 
	Paste those values in the form below.</li>
</ul>
</div>


<%
if(request.getAttribute("dispError") != null){
	%>
	<div class="alert alert-danger">Invalid registration number specified.</div>
	<%
}
%>


<form  action="<%=controllerPath%>" method="POST" class="form-horizontal">
	<div class="form-group">
		<label class="col-sm-2 control-label">Company Name:</label>
		<div class="col-sm-10"> 
		<input type="text" class="form-control" name="company" size="35" />
		</div>
	</div>
	<div class="form-group">
		<label class="col-sm-2 control-label">Serial Number:</label>
		<div class="col-sm-10"> 
		<input type="text" class="form-control" name="sn" size="35" />
		</div>
	</div>
	<div class="form-group">
		<div class="col-sm-offset-2 col-sm-10">
			<button type="submit" name="dialogButton" id="dialogButton" class="btn btn-primary">Register</button>
		</div>
	</div> 

	<input type="hidden" name="operation" value="darji"></input>
	<input type="hidden" name="st" value="2"></input>

</form>

<%@ include file="Footer.jsp" %>