<%@ include file="SetupTop.jsp" %>

<script language=javascript>
function hiddentext() {
    document.all['process'].style.visibility ="hidden";
}

function submit_form() {
    document.all['process'].style.visibility ="visible"; 
    document.getElementById("imgNext").src="images/NextD.png";
    document.getElementById("imgNext").style.cursor="wait";
    document.form1.submit();
}
</script>

<img src="images/NextD.png" width="1" style="visible:false">


	<div class="well">
		<h3>Firewall Configuration</h3>
		 
		<%
		String fieldName = "Configure Firewall:";
		
		String configLocal = (String) request.getAttribute("configLocalFW"); //1 means Windows firewall is configurable, 2 means Windows firewall is not configurable
																				//3 means not running on Windows
		
		if(configLocal.equals("1")){
			fieldName = "Configure both firewalls:";
			%>
			<!-- Local as well as network firewall configuration -->
			You will have to configure firewalls before using SynaMan. Typically, there are two firewalls:<br><br>
			<ol>
				<li><b>Windows firewall on this machine</b></li>
				<li><b>Network firewall/router</b></li>
			</ol>
			Check the box below to configure the firewall on this machine. You will have to configure the network firewall manually.
			<%
		}else if(configLocal.equals("2")){
			%>
			<!-- Local firewall must be done manually -->
			You will have to configure firewalls before using SynaMan. Typically, there are two firewalls:
			
			<ol>
				<li><b>Windows firewall on this machine</b></li>
				<li><b>Network firewall/router</b></li>
			</ol>
			
			You must configure these firewalls manually.
			<p>
			<div class="row">
				<div class="col-md-6"><a href="https://web.synametrics.com/synaman-fw-win-10.htm" title="Click to learn how to configure firewall on your Windows machine." target="_blank"><button class="btn btn-primary">Windows Firewall</button></a></div>
				<div class="col-md-6"><a href="https://web.synametrics.com/network-firewall.htm" title="Click to learn how to configure firewall on your router." target="_blank"><button class="btn btn-primary">Router Firewall</button></a></div>
			</div>
			</p>
			<%
		}else{
			%>
			<!-- Network firewall configuration -->
			You will have to configure firewalls before using SynaMan. 

			<p>
			<div class="row">
				<div class="col-md-6"><a href="https://web.synametrics.com/synaman-fw-win-10.htm" title="Click to learn how to configure firewall on your Windows machine." target="_blank"><button class="btn btn-primary">Windows Firewall</button></a></div>
				<div class="col-md-6"><a href="https://web.synametrics.com/network-firewall.htm" title="Click to learn how to configure firewall on your router." target="_blank"><button class="btn btn-primary">Router Firewall</button></a></div>
			</div>
			</p>
			<%
		}
		%>
		<br><br>
		
		<form name="form1" method="post" onsubmit="submit_form()">
		
		<table id="setupWizard">
			<%
			if(configLocal.equals("1")){
			%>
				<tr><th align="right">Configure Windows firewall: </th><td><input type="checkbox" value="configFWLocal" name="configFWLocal" checked="checked"></td></tr>
			<%
			}
			%>
			
				<!-- 
				<tr><th align="right">Configure network router: </th><td><input type="checkbox" value="configFW" name="configFW" checked="checked"></td></tr>
				
				<tr>
					<td colspan="2">
					<small><b>Note: </b>Network router is only configured if <a href="http://en.wikipedia.org/wiki/Universal_Plug_and_Play" title="Universal Plug and Play" target="_blank">UPnP</a> is enabled.
					</small></td>
				</tr>
				
				-->
		</table>
		
		
		
		<br>
		Click the next button when ready.
		
		
		<div align="right">
			<input type="image" src="images/Next.png"  id="imgNext" border="0" />  
			<div id=process>Processing. Please wait...</div>
		</div>
		
		<input type="hidden" name="operation" value="setup" />
		<input type="hidden" name="st" value="saveUpnp" />
		<input type="hidden" name="configLocal" value="<%=configLocal%>">
		</form>
	</div>
	
<script>
hiddentext();
</script>
<%@ include file="SetupBottom.jsp" %>