<%@ include file="SetupTop.jsp" %>
	<div class="well">
		<h3>Administrator's Password</h3>
		
		<b>admin</b> is a special account on SynaMan. This account is used to modify configuration
		on your machine. It is very important you choose a password that is not easy to guess.
		
		<form action="<%=controllerPath%>" method="post"  role="form">
		
			<div class="row">
			
				<%
				if(request.getAttribute("rap") == null){
				%>
            	<div class="col-md-6">
					<div class="form-group">
			            <label for="password1">Create admin password:</label>
			            <input type="password" class="form-control" id="password1" title="Type a password that you will be using to access the admin account" name="password1" value="" required>
			        </div>
			    </div>
				<div class="col-md-6">
					<div class="form-group">
			            <label for="password2">Confirm password:</label>
			            <input type="password" class="form-control" id="password2" title="Re-type the same password you typed above." name="password2" value=""  required>
			        </div>
	        	</div>
	        	<%
				}else{
					%>
					<div class="col-md-6">
					<div class="form-group">
			            <label for="password1">Admin password:</label>
			            <input type="text" class="form-control" id="password1" title="Initial password assigned by the system" name="password1" value="<%= request.getAttribute("rap") %>" readonly="readonly" required>
			        </div>
			    	</div>
			    	<div class="col-md-6 alert alert-warning">
			    	
			    	Save this password. You will need it when you login the first time. Remember to use <b>admin</b> for the User ID.
			    	</div>
			    	<input type="hidden" name="password2" value="<%= request.getAttribute("rap") %>">
					<%
				}
	        	%>
	        </div>	
	        <div class="form-group">
		        <label class="checkbox-inline">
	                <input type="checkbox" id="restrictToLocalhost" value="localhost"> Restrict <u>admin</u> access to localhost.
	            </label>
	            <br>
	            <small>If checked, no one will be able to connect using the <b>admin</b> account from any other machine but this (localhost) one.</small>
            </div>
		
		
		
			<div class="row">
            	<div class="col-md-8">
					Click the next button when ready.
			    </div>
				<div class="col-md-4">
					<div align="right">
						<input type="image" src="images/Next.png" border="0" />  
					</div>
	        	</div>
	        </div>	
			
			
			
			
			
			<input type="hidden" name="operation" value="setup" />
			<input type="hidden" name="st" value="step3" />
			
		</form>
		<br><br><br>
	</div>
<%@ include file="SetupBottom.jsp" %>