<%@ include file="Header.jsp" %>
<!-- 
<%=response.encodeURL("app?operation=suppr&jp=true") %>
 -->

Use the following screen to contact Synametrics support department.

<%
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%>
	<div class="alert alert-danger"><h4>Error</h4><%=errorMsg %></div>
	<%
}
%>

<div class="row">
	<div class="col-md-10 col-md-offset-1">
		
		
		<form class="form-horizontal" action="<%=controllerPath%>" method="POST" >
		
		  <div class="form-group">
		    <label for="fullname" class="col-sm-2 control-label">Name: </label>
		    <div class="col-sm-10">
		      <input type="text" class="form-control" id="fullname" placeholder="Your full name" name="fullname" required>
		    </div>
		  </div>
		  
		  <div class="form-group">
		    <label for="email" class="col-sm-2 control-label">Email: </label>
		    <div class="col-sm-10">
		      <input type="email" class="form-control" id="email" placeholder="Email" name="email" value="<%= request.getAttribute("adminEmail") %>" required>
		    </div>
		  </div>
		  
		  <div class="form-group">
		    <label for="phone" class="col-sm-2 control-label">Phone: </label>
		    <div class="col-sm-10">
		      <input type="text" class="form-control" id="phone" name="phone" placeholder="Phone number with country code" required>
		    </div>
		  </div>
		  
		  
		  <div class="form-group">
		    <label for="fullname" class="col-sm-2 control-label">Subject: </label>
		    <div class="col-sm-10">
		      <input type="text" class="form-control" id="subject" name="subject" placeholder="Small description of the problem" required>
		    </div>
		  </div>
		  
		  
		  <div class="form-group">
		    <div class="col-sm-offset-2 col-sm-10">
		      <div class="checkbox">
		        <label>
		          <input type="checkbox" name="sendConf" checked='checked' title="If checked, <%= request.getAttribute("appConfPath") %> will be sent." > Send AppConfig.xml
		        </label>
		      </div>
		    </div>
		    
		    <div class="col-sm-offset-2 col-sm-10">
		      <div class="checkbox">
		        <label>
		          <input type="checkbox" name="sendLogs" checked='checked' title="If checked, files from <%= request.getAttribute("logFilePath") %> will be zipped and sent to support"> Send log files
		        </label>
		      </div>
		    </div>
		    
		    <div class="col-sm-offset-2 col-sm-10">
		      <div class="checkbox">
		        <label>
		          <input type="checkbox" name="sendEnv" checked='checked' title="If checked, information such as OS version and other environment settings will be sent."> Send Envirnoment Settings
		        </label>
		      </div>
		    </div>
		    
		  </div>
		  
		  <div class="form-group">
		    <label for="body" class="col-sm-2 control-label">Message: </label>
		    <div class="col-sm-10">
		    	<textarea class="form-control" rows="6" name="body" required></textarea>
			
		    </div>
		  </div>
		  
		  <div class="form-group">
		    <div class="col-sm-offset-2 col-sm-10">
		      <button type="submit" class="btn btn-default">Send Message</button>
		    </div>
		  </div>
		  
		  <input type="hidden" name="operation" value="support">
		  <input type="hidden" name="st" value="send">
		  
		  
		  
		</form>
		
	</div>
</div>

<%@ include file="Footer.jsp" %>