
<script>
function toggleLayer(blockName, styleName){
    var style2
    if (document.getElementById){
        // this is the way the standards work
        style2 = document.getElementById(blockName).style;
    }else if (document.all){
        // this is the way old msie versions work
        style2 = document.all[blockName].style;
    }else if (document.layers){
        // this is the way nn4 works
        style2 = document.layers[blockName].style;
    }
    style2.display = styleName;
}

function showEmailBased(){
   toggleLayer('2fatEmailDiv', 'block');
   toggleLayer('2fatTotpDiv', 'none');
}

function showTotpBased(){
   toggleLayer('2fatEmailDiv', 'none');
   toggleLayer('2fatTotpDiv', 'block');
   
}
</script>

<%
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%><br><br>
	<div class="alert alert-error"><%=errorMsg %></div>
	<%
}

String infoMsg = (String) request.getAttribute("infoMsg");
if(infoMsg != null){
	%><br><br>
	<div class="alert alert-info"><%=infoMsg %></div>
	<%
}

boolean enabled2TF = request.getAttribute("enabled2TF").equals("true");
boolean tfaTypeIsTotp = !request.getAttribute("2faType").equals("email");
boolean showTotpPage = enabled2TF && tfaTypeIsTotp;
String tfaData = "";

if(request.getAttribute("2faData") != null && !tfaTypeIsTotp){
	tfaData = (String) request.getAttribute("2faData");
}

String tfaDisabled = (request.getAttribute("tfaMandatory") == null || request.getAttribute("tfaMandatory").equals("false")) ? "" : "disabled='disabled'";

%>

<form action="<%=controllerPath%>" method="POST" class="form-horizontal">
	<h2 class="underline-title no-margin-top">2FA Configuration</h2>

     <div class="form-group">
		<div class="col-sm-12">
			<div class="checkbox">
     		<label for="enabled2TF"><input type="checkbox" name="enabled2TF" id="enabled2TF" value="true" <%= 
     		(enabled2TF || request.getAttribute("tfaMandatory") != null) ? "checked='checked'" : ""%> <%= tfaDisabled %> /> Enabled</label>
			</div>	
		</div>
	</div>	
     
	<div class="form-group">
		<div class="col-sm-12">
			<div class="radio">
				<label for="tfaTypeTotp"><input type="radio" onclick="showTotpBased();" name="tfaType" id="tfaTypeTotp" value="totp" <%= tfaTypeIsTotp ?  "checked='checked'" : "" %> /> Use Time-based Temporary Password
				<%
				if(showTotpPage){
				%>
					(<a href="<%=response.encodeURL("app?operation=2fa&st=dqc") %>">Details...</a>)
				<%
				}
				%>
				</label>
			</div>	
		</div>
	</div>
	
	<div class="form-group">
		<div class="col-sm-12">
			<div class="radio">
				<label for="tfaTypeEmail"><input type="radio" onclick="showEmailBased();" name="tfaType" id="tfaTypeEmail" value="email" <%= tfaTypeIsTotp ? "" : "checked='checked'" %> /> Using Email</label>
			</div>	
		</div>
	</div>
	
	<div id="2fatEmailDiv">
		<h4>How it works</h4>
		<div class="well well-sm">A 6 digit code will be sent to the email address you specify below. You will have to enter that code at the time of login.</div>
		<div class="form-group">
			<label for="email" class="col-sm-2 control-label">Email:</label>
			<div class="col-md-10">
			<input type="email" name="email" id="email" class="form-control" value="<%= tfaData %>" />
			<small>Email address where temporary code is sent.</small>
			</div>
		</div>
	</div>
			
	
	<div id="2fatTotpDiv">
		<h4>How it works</h4>
		<div class="well well-sm">A 6 digit code is generated that valid for 30 seconds. You can view that code any your mobile device using 
		apps that support TOTP protocol such as Google Authenticator or Microsoft Authenticator available for iOS, Android
		and Microsoft devices.</div>
	</div>

	<div class="form-group">
		<div class="col-sm-offset-2 col-sm-12">
			<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Apply</button>
		</div>
	</div> 

<input type="hidden" name="operation" value="2fa">
<input type="hidden" name="st" value="save">

</form>


<script>
<%
if(tfaTypeIsTotp){
	out.println("showTotpBased();");
}else{
	out.println("showEmailBased();");
}
%>
</script>


<%
request.setAttribute("Current_Page_Name", "2FAConfig");
%>


<%@ include file="Footer4Users.jsp" %>


