

	<a class="btn btn-primary" href="<%=response.encodeURL("app?operation=2fa") %>">&laquo; Back to 2FA Configuration</a><br><br>
	<h2 class="section-title no-margin-top">TOTP Credentials</h2>
	
	
	<%
	if(request.getAttribute("forcedTotp") != null && request.getAttribute("forcedTotp").equals("true")){
		%>
		<p>
		Your company policy requires you use Two-Factor Authentication when connecting to this server. Please use the following
		QR code to configure it.
		</p>
		<%
	}
	%>
	<div class="well well-sm">Use the following credentials to setup Two-Factor Authentication for Time-base Temporary Password. Several third-party apps support this protocol. For example, 
	you can download either Google Authenticator (available for 
	<a href="https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2" target="_blank">Android</a> and 
	<a href="https://apps.apple.com/us/app/google-authenticator/id388497605" target="_blank">iOS</a>) or Microsoft Authenticator (available for 
	
	<a href="https://play.google.com/store/apps/details?id=com.azure.authenticator" target="_blank">Android</a> and 
	<a href="https://apps.apple.com/us/app/microsoft-authenticator/id983156458" target="_blank">iOS</a>
	
	)
	on your mobile device and scan the displayed QR code to setup an account</div>
	
	
	<h2 class="underline-title no-margin-top">QR Code</h2>
	<img src="<%= request.getAttribute("qrUrl")%>">
	<br><br>
	Scan the QR code above to on your mobile app to add an account
	<br><br>
	<h2 class="underline-title no-margin-top">Manual Entry</h2>
	Enter the following values manually if you are not able to scan the above code:
	<br><br>
	<table class="table">
		<tr><th>User Name: </th><td><%= request.getAttribute("uid")%></td></tr>
		<tr><th>Secret Key: </th><td><%= request.getAttribute("scode")%></td></tr>
	</table>


<%
request.setAttribute("Current_Page_Name", "2FAConfigTotp");
%>


<%@ include file="Footer4Users.jsp" %>
