<%@ include file="Header.jsp" %>
		<div class="row">
			
			
				<div class="col-md-4">
					<a href="http://synaman.com" target="_blank"><img src="images/SynaManLogo.png" class="img-responsive"></a>
				</div>
				<div class="col-md-8">
					<h2>SynaMan - <small>Version: <%=com.synametrics.sradef.util.VersionManager.getInstance().getFullVersion() %></small></h2>
						</small></h3>
						SynaMan (pronounced as Cinnamon) stands for Synametrics File Manager. It is an easy
						to install, stand-alone remote file manager that allows you to share files
						on any machine to the users on the Internet. <a href="http://web.synametrics.com/SynaMan.htm" target="_blank">Click here</a> for more information.
					</br>
					</br>
			 			<table class="table table-bordered">
							<tr>
								<th>Registered to:</th>
								<td><%=request.getAttribute("company") %></td>
							</tr>
							<%if(request.getAttribute("serialNumber") != null){ %>
							<tr>
								<th>Serial number:</th>
								<td><%=request.getAttribute("serialNumber") %> (<a href="<%=response.encodeURL("app?operation=esnum") %>" title="Enter a different serial number by clicking here">
								Modify
								</a>)</td>
							</tr>
							
							
							<%
						
							if(request.getAttribute("subsEndDate") != null){
								
								//Subscription
								%>
								<tr>
								<th>Subscription Expiration:</th>
								<td><%=request.getAttribute("subsEndDate") %>
								<%
								if(request.getAttribute("afscr").equals("true")){
									%>
									(<a href="<%=response.encodeURL("app?operation=suppr&jp=true") %>">Renew contract</a>)
									<%
								}
								
								if(request.getAttribute("showPaymentLink") != null && request.getAttribute("showPaymentLink").equals("true")){
									%>
									<span class="pull-right">
									<!--  <a href="<%=response.encodeURL("app?operation=buy&st=addUsers") %>" title="Add/remove users to your existing license"><span class="label label-success">Manage Users</span></a> -->
									<a href="<%=response.encodeURL("app?operation=buy&st=renewsubs") %>" title="Renew your subscription"><span class="label label-primary">Renew</span></a>
									<a href="<%=response.encodeURL("app?operation=buy&st=payInfo") %>"  title="Manage your payment information"><span class="label label-warning">Payment</span></a>
									
									</span>
									<%
								}
								
								%>
								
								</td>
								</tr>
								<%
							}else{
								
								//Perpetual
								%>
								<tr>
								<th>Support Expiration:</th>
								<td><%=request.getAttribute("sceo") %>
								<%
								if(request.getAttribute("afscr").equals("true")){
									
									String suppRenewalUrl = "app?operation=suppr&jp=true";
									if(request.getAttribute("isNLic") != null){
										suppRenewalUrl = "app?operation=buy&st=pSuppRenew";
									}
									%>
									(<a href="<%=response.encodeURL(suppRenewalUrl) %>"><%= request.getAttribute("renewCaption") %></a>)
									<%
								}
								
								if(request.getAttribute("showPaymentLink") != null && request.getAttribute("showPaymentLink").equals("true")){
									%>
									<span class="pull-right"><a href="<%=response.encodeURL("app?operation=buy&st=payInfo") %>"><span class="label label-warning">Payment</span></a></span>
									<%
								}
								
								%>
								
								</td>
								</tr>
								<%
							}
							%>
							
							
							
							<%} %>
							
							<tr>
								<th>Edition:</th>
								<td><%=request.getAttribute("edition") %> 
									<%= request.getAttribute("trialDaysLeft") == null ? "" : request.getAttribute("trialDaysLeft") %>
								<%
								if(request.getAttribute("showAddUsers") != null && request.getAttribute("showAddUsers").equals("true")){
									%>
									<span class="pull-right">
									<a href="<%=response.encodeURL("app?operation=buy&st=renewsubs") %>" title="Renew your subscription"><span class="label label-primary">Add Users</span></a>
									</span>
									<%
								} %>	
								</td>
							</tr>	
							
							<%
							if(request.getAttribute("autoRenewEnabled") != null){
								//Auto Renewal
								%>
								
								<tr>
									<th>Auto Renewal</th>
									<td><%=request.getAttribute("autoRenewEnabled") %></td>
								</tr>
								<%
							}
							%>	
						</table>
	
						<%
						if(request.getAttribute("showPurchase") != null){
						%>
							<table width="80%">
								<tr>
								<td>&nbsp;</td>
								<td>
									<a href="<%=response.encodeURL("app?operation=buy") %>" title="Upgrade to the Professional or Enterprise edition">
									<!--  <img src="images/BuyNow.gif" border="0" /> -->
									<button class="btn btn-primary">Buy Now</button>
									</a>
								</td>
								<td>
									
									<a href="<%=response.encodeURL("app?operation=esnum") %>" title="Enter a different serial number by clicking here">
									<!--  <img src="images/EnterSerial.gif" border="0" /> -->
									<button class="btn btn-primary">Enter Serial Number</button>
									</a>
								</td>
								<td>&nbsp;</td>
								</tr>
							</table>
						<%
						}else if(request.getAttribute("showUpgrade") != null){
						%>
						
						<div class="well">
						You are currently use the Professional edition of SynaMan. <a href="<%=response.encodeURL("app?operation=buy") %>" title="Upgrade Enterprise edition">Click here</a> 
						to upgrade to the Enterprise edition.
								
						<br><br>
						<a href="<%=response.encodeURL("app?operation=buy") %>" title="Upgrade Enterprise edition"><button class="btn btn-success">Upgrade To Enterprise</button></a>
						</div>
							
						<%	
						}
						%>
						
		
				</div>
				
		</div>
		
		<p class="center-block">
			<a href='https://play.google.com/store/apps/details?id=com.synametrics.synaman&pli=1&pcampaignid=pcampaignidMKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1' target="_blank"><img alt='Get it on Google Play' src='https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png' width="255"/></a>
			<a href="https://apps.apple.com/us/app/synaman-mobile-app/id1670345583"  target="_blank"><img src="https://developer.apple.com/app-store/marketing/guidelines/images/badge-example-preferred_2x.png" width="200"></img></a>
		</p>

<%@ include file="Footer.jsp" %>