<%@page import="com.synametrics.wefmanager.bean.AccessLogBeanDetail"%>
<%@page import="com.synametrics.wefmanager.bean.AccessLogBean"%>
<%@page import="com.synametrics.wefmanager.bean.UserLoginBean"%>
<%@page import="java.util.List"%>
<%@ include file="Header.jsp" %>

<%
List<AccessLogBeanDetail> details = (List<AccessLogBeanDetail>) request.getAttribute("details");
AccessLogBean file = (AccessLogBean) request.getAttribute("file");
%>

&larr; <a href="<%= response.encodeURL("app?operation=aclog") %>">Search Again</a>
<h1>Access Logs <small>Details</small></h1>

<div class="row">
    <div class="col-md-7">
		<table class="table table-bordered">
			<tr>
				<th>Shared Folder:</th>
				<td><%=file.tlf %></td>
			</tr>
			
			<tr>
				<th>File Name:</th>
				<td><%= file.getFullPath() %></td>
			</tr>
			<tr>
				<th>Total Events:</th>
				<td><%= file.count %></td>
			</tr>
		</table>
	</div>
	<div class="col-md-5">
		
		
		<div class="icon-box">
		    <i class="fa fa-lightbulb-o"></i>
		    <div class="icon-box-content">
		        <h4>Note</h4>
		        <p>Data appears in reverse chronological order.</p>
		    </div>
		</div>


	</div>
</div>

<table class="table table-bordered table-condensed">
	<thead>
		<tr>
			<th>Date</th>
			<th>Event</th>
			<th>IP Address</th>
			<th>User</th>
			<th>Details</th>
		</tr>
	</thead>
	
	<%
	for(int i = 0; i < details.size(); i++){
		AccessLogBeanDetail detail = details.get(i);
		
		%>
		<tr>
			<td><%= detail.getDateAdded() %></td>
			<td><%= detail.getEvent() %></td>
			<td><%= detail.getIP_ADDRESS() %></td>
			<td><%= detail.getUSER_ID() %></td>
			<td><%= detail.getDescription() %></td>
			
		</tr>
		<%
	}
	%>
</table>



<%@ include file="Footer.jsp" %>