<%@ include file="TipHeader.jsp" %>


<%
String existingFolders = (String)request.getAttribute("existingFolders");

if(existingFolders.trim().length() == 0){
	
	%>
	<h1>No shared folder found</h1>
	You must create at least one non-public shared folder before associating them to a user.
	<a href="http://web.synametrics.com/SynaManNoSharedFolder.htm" target="_blank">Click here for details</a>
	
	<%
}else{
%>


<form class="form-horizontal" action="<%=controllerPath%>" target="_parent" method="POST">
	<div class="form-group">
		<label for="folderName" class="col-sm-2 control-label">Select a folder:</label>
		<div class="col-sm-10">
			<select class="form-control" style="z-index: 10000;" name="folderName" id="folderName"><%=request.getAttribute("existingFolders") %></select>
			
		</div>
	</div>
	
	<div class="form-group">
		<label class="col-sm-2 control-label"></label>
		<div class="col-sm-10">
			<div class="checkbox">
			<label for="includeFolders">
				<input type="checkbox" name="includeFolders" id="includeFolders" checked="checked" value="1" title="Check if you want the user to access sub-folders"> Include sub-folders
			</label>
			</div>
		</div>
	</div>
	<div class="form-group">
		<label class="col-sm-2 control-label"></label>
		<div class="col-sm-10">
			<div class="checkbox">
			<label for="read">
				<input type="checkbox" name="read" id="read" checked="checked"  value="1" title="If checked, user will be able to download files"> Allow Downloads
			</label>
			</div>
		</div>
	</div>
	<div class="form-group">
		<label class="col-sm-2 control-label"></label>
		<div class="col-sm-10">
			<div class="checkbox">
			<label for="write">
				<input type="checkbox" name="write" id="write" checked="checked" value="1" value="1" title="If checked, user will be able to upload files"> Allow Uploads
			</label>
			</div>
		</div>
	</div>
	
	
	<div class="form-group">
		<label class="col-sm-2 control-label"></label>
		<div class="col-sm-10">
			<div class="checkbox">
			<label for="clipboard">
				<input type="checkbox" name="clipboard" id="clipboard" checked="checked" value="1" value="1" title="If checked, user will be able to perform clipboard operations like copy, paste and cut"> Allow Copy/Cut/Paste
			</label>
			</div>
		</div>
	</div>
	
	
	<div class="form-group">
		<label class="col-sm-2 control-label"></label>
		<div class="col-sm-10">
			<div class="checkbox">
			<label for="delete">
				<input type="checkbox" name="delete" id="delete" checked="checked" value="1" value="1" title="If checked, user will be able to delete files"> Allow Deletes
			</label>
			</div>
		</div>
	</div>
	
	<div class="form-group">
		<label class="col-sm-2 control-label"></label>
		<div class="col-sm-10">
			<div class="checkbox">
			<label for="rename">
				<input type="checkbox" name="rename" id="rename" checked="checked" value="1" value="1" title="If checked, user will be able to rename files"> Allow File Rename
			</label>
			</div>
		</div>
	</div>
	
	<div class="form-group">
		<label class="col-sm-2 control-label"></label>
		<div class="col-sm-10">
			<div class="checkbox">
			<label for="newfolder">
				<input type="checkbox" name="newfolder" id="newfolder" checked="checked" value="1" value="1" title="If checked, user will be able to create new folders"> Allow Folder Creation
			</label>
			</div>
		</div>
	</div>
	
	
	<div class="form-group">
		<label class="col-sm-2 control-label"></label>
		<div class="col-sm-10">
			<div class="checkbox">
			<label for="zipunzip">
				<input type="checkbox" name="zipunzip" id="zipunzip" checked="checked" value="1" value="1" title="If checked, user will be able to zip and unzip files"> Allow Zip/Unzip
			</label>
			</div>
		</div>
	</div>
	<br><br>
	<div class="form-group">
		<div class="col-sm-offset-2 col-sm-10">
			<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Add Folder</button>
		</div>
	</div>

<input type="hidden" name="operation" value="mngUsers">
<input type="hidden" name="st" value="associateFolderToUser">
<input type="hidden" name="ul" value="<%= request.getParameter("ul")%>" >


</form>
<%
}
%>



<%@ include file="TipFooter.jsp" %>