<%@ include file="Header.jsp" %>
<div class="row">
	<div class="col-md-12 section-title">
		<div class="pull-right">
			<a class="btn btn-primary" href="<%=response.encodeURL("app?operation=aconfig") %>">Advanced configuration</a> 
			<%
			if(request.getAttribute("licType") != null && ((Integer)request.getAttribute("licType")).intValue() >=3){
				%>
				<a class="btn btn-primary" href="<%=response.encodeURL("app?operation=triggers") %>">Triggers</a> 
				<%
			}
			%>
		 </div>
	</div>
</div>
 
<div class="row">
<%
String errorMessage = (String)request.getAttribute("errorMessage");
if(errorMessage != null){
	out.println("<div class='alert alert-danger'>" + errorMessage + "</div>");
}

String infoMessage = (String)request.getAttribute("infoMsg");
if(infoMessage != null){
	out.println("<div class='alert alert-success'>" + infoMessage + "</div>");
}



String restartRequired = (String) request.getAttribute("restartRequired");
if(restartRequired != null && restartRequired.equals("true")){
	%>
	<div class="alert alert-warning">
	<h4>Restart Required</h4>
	One or more configuration you modified will only be affective after restarting SynaMan.
	<center>
		<a href="<%=response.encodeURL("app?operation=restart") %>"><button class="btn btn-primary">Restart Now</button></a>
	</center>
	</div>
	<%
}
%>
	<div class="col-md-9  animated bounceInLeft animation-delay-3">
		<!-- Nav tabs -->
		<ul class="nav nav-tabs">
			<li class="active"><a href="#smtpconfig" data-toggle="tab">Out-bound Email</a></li>
			<li><a href="#securityconfig" data-toggle="tab">Security</a></li>
			<li><a href="#basicconfig" data-toggle="tab">HTTP Configuration</a></li>
			
			<%
			if(request.getAttribute("showSsoTab") != null){
				%>
				<li><a href="#ssoconfig" data-toggle="tab">Single Sign-On</a></li>
				<%
			}
			
			if(request.getAttribute("showProxyTab") != null){
			%>
				<li><a href="#httpproxyconfig" data-toggle="tab">HTTP Proxy</a></li>
			<%
			}
			%>
		</ul>
		
		<!-- Tab panes -->
		<div class="tab-content">
			<div class="tab-pane active" id="smtpconfig"><%@ include file="SmtpConfig.jsp" %></div>
			<div class="tab-pane" id="securityconfig"><%@ include file="SecurityConfig.jsp" %></div>
			<div class="tab-pane" id="basicconfig"><%@ include file="BasicConfig.jsp" %></div>
			
			
			<%
			if(request.getAttribute("showSsoTab") != null){
				%>
				<div class="tab-pane" id="ssoconfig"><%@ include file="SSOConfig.jsp" %></div>
				<%
			}
			
			if(request.getAttribute("showProxyTab") != null){
			%>
				<div class="tab-pane" id="httpproxyconfig"><%@ include file="HttpProxyConfig.jsp" %></div>
			<%
			}
			%>
		</div>	
	</div>	

	<div class="col-md-3">
	<div id="secondaryContent_2columns">
		<div id="columnC_2columns">
			
			<%@ include file="QuickLinks.jsp" %>
			<%@ include file="SupportButton.jsp" %>
			
			<%
			if(request.getAttribute("bn").equals("true")){
				%>
				
				<br>
				<div class="animated bounceInUp animation-delay-3">
					<center>
					<a href="<%=response.encodeURL("app?operation=buy") %>" title="Upgrade to Enterprise edition of SynaMan">
						<button class="btn btn-primary">Purchase License</button>
					</a>	
					</center>	
				</div>
					
				<!-- 
				<a href="<%=response.encodeURL("app?operation=buy") %>"><img  border="0" src="images/BuyNow.gif" alt="Buy Now" title="Upgrade to Enterprise edition of SynaMan"></a>
				 -->
				<%
			}
			%>
		</div>
	</div>
	</div>
	<div class="clearfix"></div>
</div>

<%@ include file="Footer.jsp" %>