<%@ include file="Header.jsp" %>
		<div class="col-md-9">
			<div class="row">
				<div class="col-md-4 col-sm-4">
				   <article class="mind-features-item hover animated bounceInLeft animation-delay-8">
					   <div class="item-icon">
						   <i class="fa fa-folder-open"></i>
					   </div>
					   <div class="item-content">
						   <h3>Manage Shared Folders</h3>
						   <p>Define virtual folders that can be accessed by one or more users. </p>
						   <a href="<%=response.encodeURL("app?operation=mngFolders") %>" class="btn btn-success pull-right">Click Here</a>
					   </div>
				   </article> <!-- mind-features-item -->
			   </div> 
			   <div class="col-md-4 col-sm-4">
				   <article class="mind-features-item hover animated bounceInLeft animation-delay-3">
					   <div class="item-icon">
						   <i class="fa fa-users"></i>
					   </div>
					   <div class="item-content">
						   <h3>Manage Users</h3>
						   <p>Create/modify users who are authorized to access files in virtual folders.</p>
						   <a href="<%=response.encodeURL("app?operation=mngUsers") %>" class="btn btn-success pull-right">Click Here</a>
					   </div>
				   </article> <!-- mind-features-item -->
			   </div>
			   <div class="col-md-4 col-sm-4">
				   <article class="mind-features-item hover animated bounceInRight animation-delay-6">
					   <div class="item-icon">
						   <i class="fa fa-cogs"></i>
					   </div>
					   <div class="item-content">
						   <h3>Modify Configuration</h3>
						   <p>Modify different configuration options.</p>
						   <a href="<%=response.encodeURL("app?operation=config&st=main") %>" class="btn btn-success pull-right">Click Here</a>
					   </div>
				   </article> <!-- mind-features-item -->
			   </div>
			</div>
	
	
			<div id="adminRight">
				<h4>Current Activity</h4>
				<div id="currentAct"></div>
			</div>
	
		
			<div id="adminLef">
				<%@ include file="PanelMemoryStatus.jsp" %>
				<br>
				<%
				java.util.List<String> filePaths = (java.util.List<String>)request.getAttribute("sharedFolderList");
				int pieChartNum = 1;
				for(int i = 0; i < filePaths.size(); i++){
					request.setAttribute("diskPath", filePaths.get(i));
					File selectedFile = new File(filePaths.get(i));
					if(selectedFile.getTotalSpace() > 0){
					%>
					<%@ include file="PanelDiskStatus.jsp" %>
					<%
					}
					pieChartNum++;
				}
				%>
			</div>
				
			
	</div>

<div class="col-md-3">
		<div class="row">
		
		<%@ include file="QuickLinks.jsp" %>
		<%@ include file="SupportButton.jsp" %>
		
		<%
		if(request.getAttribute("bn").equals("true")){
			%>
			<div class="alert alert-info">
			You are using a Trial/Personal edition of SynaMan. Consider upgrading to Professional or Enterprise to use advanced features.
			<a style="display: block;text-align: center;" href="<%=response.encodeURL("app?operation=buy") %>">
			<button class="btn btn-primary" title="Upgrade to Professional or the Enterprise edition of SynaMan">Buy Now</button>
			<!-- <img border="0" src="images/BuyNow.gif" alt="Buy Now" title="Upgrade to Professional or the Enterprise edition of SynaMan"> -->
			</a>
			</div>
			<%
		}
		%>
	</div>
</div>
<script>
	function loadActivityMonitor(){
		$('#currentAct').load('app?operation=activity');
	}
	
	loadActivityMonitor(); // This will run on page load
	setInterval(function(){
		loadActivityMonitor() // this will run after every 5 seconds
	}, 3000);
	</script>
	
<%
request.setAttribute("omit.ending.html.tags", "true");
%>
<%@ include file="Footer.jsp" %>
<%@ include file="PopupNews.jsp" %>

</body>
</html>