<%@page import="java.util.List"%>
<%@ include file="Header.jsp" %>


<h1>Harmful Extensions</h1>		
<%
List<String> extList = (List<String>) request.getAttribute("extList");
%>


<%
String infoMsg = (String) request.getAttribute("infoMsg");
if(infoMsg != null){
	%>
	<div class="alert alert-info"><%= infoMsg %></div>
	<%
}

String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%>
	<div class="alert alert-danger"><%= errorMsg %></div>
	<%
}


%>
<div class="row">
	<div class="col-md-4">
		<table class="table">
			<tr>
				<th>Extension</th><th>Action</th>
			</tr>
			<%
			for(String oneExt : extList){
				%>
				<tr>
					<td><%= oneExt %></td>
					<td><a href="<%=response.encodeURL("app?operation=aconfig&st=hfext&r=" + oneExt) %>">Remove</a></td>
				</tr>
				<%
			}
			%>
		</table>
	</div>
	<div class="col-md-8">
		File extensions listed on this page are considered harmful. 
		
		<br><br>
	
		
		<form class="form-horizontal" action="<%=controllerPath%>" method="POST">
		
			<div class="form-group">
				<label class="col-sm-2 control-label" for="header"></label>
				<div class="col-md-10">	
					<h3>Add Extension</h3>
				</div>		
			</div>
			
			<div class="form-group">
				<label class="col-sm-2 control-label" for="extName">Extension:</label>
				<div class="col-md-10">	
					<input type="text" name="extName" id="extName" class="form-control" />
					<small>Specify a new extension starting with a DOT</small>
				</div>		
			</div>


		  <div class="form-group">
			<div class="col-sm-offset-2 col-sm-10">
				<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Add</button>
			</div>
		  </div> 
		  <input type="hidden" name="operation" value="aconfig">
		  <input type="hidden" name="st" value="hfext">
		  <input type="hidden" name="a" value="1">
		  
		</form>
	</div>
</div>
<%@ include file="Footer.jsp" %>