<%@ include file="Header.jsp" %>

<h3>Importing SSL certificate from <span style="text-transform:uppercase">IIS</span> server</h3>




<div id="primaryContent_2columns">
	<div id="columnA_2columns">
	
	
	<H2>Prerequisites</H2>
	
	<div class="indented">
	Certificates are issued for specific domain names. For example: if users access your IIS server using
	a URL like <code style="font-weight: bold">http://www.YourCompany.com</code>, the URL for accessing SynaMan must be like 
	<code style="font-weight: bold">http://www.YourCompany.com:6060</code>
	 
	<center>
	<span style="font-size: 1.9em; font-weight: bold">OR</span>
	</center>
	
	You use a wildcard certificate allowing multiple sub-domains. This way you can use a URL like: 
	<code style="font-weight: bold">http://downloads.YourCompany.com</code>
	 
	</div>
	
	
	<br><br><br>
	<h2>Steps</h2>
	
	<div class="indented">
	
	<form action="app?operation=impcert&st=save" method="post" enctype="multipart/form-data">
	<ul>
		<li>First, export the certificate that is being used on IIS. 
		<a href="http://www.microsoft.com/technet/prodtechnol/WindowsServer2003/Library/IIS/2cfeeba2-511f-47e8-913c-f196b74e6a44.mspx?mfr=true" target="_blank">Click here</a> for instructions.
		This will result in a *.pfx file.<br><br></li>
		
		
		<li>Type the password you used to export this certificate:<br>
			<input type="text" name="certPass" value="">
			<br><br>	
		</li>
		
		<li>
			Select the exported *.pfx file<br>
			<input type="file" name="certFile" size="40">
		</li>		
		
		
	</ul>
	
		<center>
			<input type="submit" value="Proceed" class="dialogButton" >
		</center>
	
	</form>
	
	</div>




		
	</div>
</div>

<div id="secondaryContent_2columns">
	<div id="columnC_2columns">
		
		<%@ include file="QuickLinks.jsp" %>
		<%@ include file="SupportButton.jsp" %>>
				
	</div>
</div>














<%@ include file="Footer.jsp" %>