
<form action="<%=controllerPath%>" method="POST" class="form-horizontal">
	<h2 class="underline-title no-margin-top">Embedded SMTP server</h2> 
	<%
	if(request.getAttribute("templateUrlState").toString().length() > 0){ 
	%>
	<div class="alert alert-success">
		<h4>Upgrade</h4>
		<p>Embedded SMTP server is only available in the Enterprise edition. <br>
		<a href="<%=response.encodeURL("app?operation=buy") %>"><button class="btn btn-warning pull-right">Upgrade Now</button></a><br><br>
		</p>
	</div>
	<%
	}else{
	%>
	<div class="alert alert-success">
		<h4>What is this?</h4>
		<p>SynaMan contains a special SMTP server that can accept emails with large attachments. We strongly recommend
		you <a href="http://web.synametrics.com/SynaManInboundSmtp.htm" target="_blank">read this page</a> before using this feature.</p>
	</div>
	<%
	}     	
	%>
 
	<div class="form-group">
		<label class="col-sm-2 control-label" for="inboundSmtpPort">Primary Port:</label>
		<div class="col-sm-10"> 
    	<input type="text" name="inboundSmtpPort" id="inboundSmtpPort" class="form-control" <%= request.getAttribute("templateUrlState") %> value="<%= request.getAttribute("inboundSmtpPort")  %>"  placeholder="For example: 25" required />
		<small>TCP/IP port for the primary SMTP server. A 0 or -1 disables the server.</small>
		</div>
	</div>
	
	<div class="form-group">
		<label class="col-sm-2 control-label" for="inboundSmtpPort2">Secondary Port:</label>
		<div class="col-sm-10"> 
    	<input type="text" name="inboundSmtpPort2" id="inboundSmtpPort2" class="form-control" <%= request.getAttribute("templateUrlState") %> value="<%= request.getAttribute("inboundSmtpPort2")  %>"  placeholder="For example: 587" />
		<small>TCP/IP port for the secondary SMTP server. A 0 or -1 disables the server.</small>
		</div>
	</div>

	<div class="form-group">
		<label class="col-sm-2 control-label" for="inboundSmtpPortSSL">Secure Port:</label> 
		<div class="col-sm-10">    
    	<input type="text" name="inboundSmtpPortSSL" id="inboundSmtpPortSSL" class="form-control" <%= request.getAttribute("templateUrlState") %> value="<%= request.getAttribute("inboundSmtpPortSSL")  %>" placeholder="For example: 465" />
    	<small>TCP/IP port for the secure SMTP server. A 0 or -1 disables the server.</small>
		</div>
	</div>
	
	<div class="form-group">
		<label class="col-sm-2 control-label" for="inboundSmtpPortSSL">Enable STARTTLS:</label> 
		<div class="col-sm-10"> 
        <label class="checkbox" for="useSTARTTLS4EmbeddedSmtp" class="labelCheckbox">
        <input type="checkbox" name="useSTARTTLS4EmbeddedSmtp" id="useSTARTTLS4EmbeddedSmtp" value="1" <%=request.getAttribute("useSTARTTLS4EmbeddedSmtp") %> /> </label>
        <small>If checked, STARTTLS is enabled. SSL must be configured before this option is turned on. This option only applies for primary and secondary SMTP ports. It 
		does not have any affect on SSL port.</small>
		</div>
    </div>
    
	
    
    <div class="form-group">
		<label class="col-sm-2 control-label" for="inboundSmtpBindingIP">Binding IP:</label>
		<div class="col-sm-10"> 
		<select name="inboundSmtpBindingIP" id="inboundSmtpBindingIP" class="form-control"> <%= request.getAttribute("inboundSmtpBindingIP") %> </select>
		<small>IP address this server binds to. <b>All unassigned</b> mean it will listen to every available IP address.</small>
		</div>
	</div>
    
    
		
    <div class="form-group">
	   <label class="col-sm-2 control-label" for="expDate4SmtpLink">Expiration days:</label>
	   <div class="col-sm-10"> 
    	<input type="text" name="expDate4SmtpLink" id="expDate4SmtpLink" class="form-control" <%= request.getAttribute("templateUrlState") %> value="<%= request.getAttribute("expDate4SmtpLink")  %>" />
		<small>The generated public link will expire after this many days.</small>
	   </div>
	</div>
	
	
	<div class="form-group">
	   <label class="col-sm-2 control-label" for="minEmailSizeForSmtp">Minimum email size:</label>
	   <div class="col-sm-10"> 
    	<input type="text" name="minEmailSizeForSmtp" id="minEmailSizeForSmtp" class="form-control" <%= request.getAttribute("templateUrlState") %> value="<%= request.getAttribute("minEmailSizeForSmtp")  %>" />
		<small>Smallest email size before attachments are detached. Example 10mb</small>
	   </div>
	</div>
	
	
	<div class="form-group">
	   <label class="col-sm-2 control-label" for="xeamsIP">Authorized Xeams IP:</label>
	   <div class="col-sm-10"> 
    	<input type="text" name="xeamsIP" id="xeamsIP" class="form-control" <%= request.getAttribute("xeamsIP") %> 
    	value="<%= request.getAttribute("xeamsIP")  %>" />
		<small>If integrated with Xeams, specify the IP address where it is running</small>
	   </div>
	</div>
	
	
	<div class="form-group">
		<div class="col-sm-offset-2 col-sm-10">
			<div class="checkbox">
				<label for="openRelay"><input type="checkbox" name="openRelay" id="openRelay" <%= request.getAttribute("templateUrlState") %> class="inputCheckbox" value="1" <%=request.getAttribute("openRelayCheck") %> /> Open relay</label>
				<br><small>Emails will only be accepted from authenticated users if this option is not checked.</small>
			</div>
		</div>	
    </div>
	 
    <div class="form-group">
		<div class="col-sm-offset-2 col-sm-10">
			<div class="checkbox">
				<label for="addHtmlLinkAsMimeAttachment">
				<input type="checkbox" name="addHtmlLinkAsMimeAttachment" id="addHtmlLinkAsMimeAttachment" <%= request.getAttribute("addHtmlLinkAsMimeAttachment") %> class="inputCheckbox" value="1" <%=request.getAttribute("addHtmlLinkAsMimeAttachment") %> /> Add link as attachment</label>
				<br><small>When checked, the download link is added as attachment. Otherwise, it is inserted right before the ending BODY tag.</small>
			</div>
		</div>
	</div>
    
    
	<h2 class="underline-title no-margin-top">Authentication Delegate</h2> 
	<div class="form-group">
		<label class="col-sm-2 control-label" for="authDelegateHost">Smtp Host:</label>
		<div class="col-sm-10"> 
		<input type="text" name="authDelegateHost" id="authDelegateHost" class="form-control" value="<%= request.getAttribute("authDelegateHost")  %>" />
		<small style="margin: 0;"><a href="http://web.synametrics.com/SynaMan-auth-delegate.htm" target="_blank">Click here</a> before specifying a value for this field</small>
		</div>
	</div>	
	<div class="form-group">
		<label class="col-sm-2 control-label" for="authDelegatePort">Smtp Port:</label>
		<div class="col-sm-10"> 
		<input type="number" name="authDelegatePort" id="authDelegatePort" class="form-control" value="<%= request.getAttribute("authDelegatePort")  %>" />
		<small></small>
		</div>	
	</div>
	<div class="form-group">	
		<label class="col-sm-2 control-label" for="authDelegateEncType">Security:</label>
		<div class="col-sm-10"> 
		<select name="authDelegateEncType" id="authDelegateEncType" class="form-control"> 
		<option value="0" <%= request.getAttribute("authDelegateEncType").equals("0") ? "selected='true'" : ""  %> >None</option>
		<option value="1" <%= request.getAttribute("authDelegateEncType").equals("1") ? "selected='true'" : ""  %> >STARTTLS</option>
		<option value="2" <%= request.getAttribute("authDelegateEncType").equals("2") ? "selected='true'" : ""  %> >SSL</option>
		</select>	<small></small>
		</div>
	</div>
      
	
	<h2 class="underline-title no-margin-top">Delivery Path</h2>
	<div class="form-group">
		<div class="col-sm-offset-0 col-sm-12">
			<label for="smartHost" class="checkbox checkbox-inline">
				<input type="radio" name="useSmartHost" id="smartHost" class="inputRadio" value="true"  <%=request.getAttribute("smartHostCheck") %> title="In-bound emails will be sent to this SMTP server, which will then deliver it to the final recipient" /> Through <b><%=request.getAttribute("obSmtpHost") %></b>
			</label>
			<label for="direct" class="checkbox-inline">
					<input type="radio" name="useSmartHost" id="direct" class="inputRadio" value="false" <%=request.getAttribute("directCheck") %> title="In-bound emails will be sent directly to the target email server." /> Direct
			</label>
		</div>
	</div>		
		
	

    <div class="form-group">
		<div class="col-sm-offset-2 col-sm-10">
			<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Apply</button>
		</div>
	</div> 
	

<input type="hidden" name="operation" value="aconfig">
<input type="hidden" name="st" value="saveSmtp">
</form>

