<%@ include file="Header.jsp" %>
	<h2 class="underline-title no-margin-top">Invite Users</h2> 	
<%
String message = (String)request.getAttribute("errorMsg");
if(message != null){
	%>
	<div class="alert alert-danger">
    <%=message%>
	</div>
	<%
}
%>

<p class="well">Using this screen you can invite individuals on the Internet to create accounts on your SynaMan. Specify
one or more email addresses below. SynaMan will send emails to these users inviting them to create their account.<br />

Body of the generated email can be altered by modifying <b><code><%=request.getAttribute("TemplateFileName") %></code></b> file. </p>

<div class="col-md-8">
	<form action="<%=controllerPath%>" method="POST" class="form-horizontal">
		<div class="form-group">
			<label class="col-sm-2 control-label" for="txtEmails">Enter one email/line.</label>
			<div class="col-sm-10"> 
			<textarea name="txtEmails" rows="15" cols="60" class="form-control" placeholder='"John Doe" &lt;john.doe@xyz.com&gt;'></textarea>
			</div>
		</div>
	
		
		<div class="form-group">
			<label class="col-sm-2 control-label" for="txtSubject">Email Subject:</LABEL>				
			<div class="col-sm-10"> 	
			<input type="text" class="form-control" name="txtSubject" id="txtSubject" value="Invitation to create a new account" />				
			</div>
		</div>

		
		<div class="form-group">
			<label class="col-sm-2 control-label" for="cmbExp"><b>Expire After</b></label>
			<div class="col-sm-10"> 
			<select name="cmbExp" class="form-control">
				<option value="1"> 1 Day</option>
				<option value="2"> 2 Days</option>
				<option value="3"> 3 Days</option>
				<option value="7" selected="true"> 1 Week</option>
				<option value="14"> 2 Weeks</option>
				<option value="30"> 1 Month</option>
				<option value="-1"> Never</option>
			</select>
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-2 control-label" for="txtEmails">Notify Administrator</label>
			<div class="col-sm-10">
				<div class="checkbox">
					<label for="notify"><input type="checkbox" name="notify" id=""notify""  value="1" checked="true" /></label>
					<small>If checked, an email will be sent to <b><%= request.getAttribute("adminEmail") %></b> when a new account is created.</small>
				</div>
			</div>
		</div>

		<div class="form-group">
			<div class="col-sm-offset-2 col-sm-10">
				<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Proceed</button><br />
				<small><b>DO NOT double click</b>. Depending upon the number of recipients, it could take some time before next screen is displayed</small>			
			</div>
		</div> 
		<input type="hidden" name="st" value="se">
		<input type="hidden" name="operation" value="invite">
		
	</form>
</div>	
<div class="col-md-4">
	<div class="well">
		<h3>How it works</h3>
		<ul style="padding-left:15px;">
			<li>Emails will be sent to the addresses you specify, containing a link. </li>
			<li>Recipients will be prompted to create a password for their account.</li>
			<li>Newly created users will have access to the following folders:
				<ul style="padding-left:15px;">
					<li><a href="http://web.synametrics.com/SynamanHomeFolder.htm" target="_blank">Home folder</a> (if defined)</li>
					<li>Any folder assigned to the <a href="http://web.synametrics.com/SynaManTemplateUser.htm" target="_blank">template user</a></li>
				</ul>
			</li>
			<li><b>TIP: </b>Use the following format for the greeting line to work.<br>
				<code>"John Doe" &lt;john.doe@xyz.com&gt;</code>
			</li>
		</ul>
	</div>
</div>

<%@ include file="Footer.jsp" %>
