<%@page import="java.util.*, com.synametrics.wefmanager.bean.*"%>
<%@ include file="Header.jsp" %>





<div class="row">
	<div class="col-md-6"><h3>Shared folder name: <u><b>"<%=request.getParameter("fn") %>"</b></u></h3></div>
	<div class="col-md-6"><a class="pull-right" href="<%=response.encodeURL("app?operation=gnoti") %>" title="Manage global notifications" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">Global Notifications</a></div>
</div>





Using folder notifications you can have the system generate email messages when someone uploads or downloads
files from a shared folder.<br><br>

<div id="primaryContent_2columns">
	<div id="columnA_2columns">
	
	
	
	
<%
String errorMessage = (String) request.getAttribute("errorMessage");
if(errorMessage != null){
	%>
	<div class="alert alert-danger"><%=errorMessage %></div>
	<%
}
%>
<h3>Add Notification</h3>

<form action="<%=controllerPath%>" method="POST">
<table>
	<tr>
		<td><b>Current folder name:</b></td>
		<td><%=request.getParameter("fn") %></td>
	</tr>
	<tr>
		<td><b>Email Address:</b></td>
		<td><input type="text" name="email" value="" size="25" title="Enter an email address of the person who should get a notification email" /></td>
	</tr>
	<tr>
		<td></td>
		<td><input type="checkbox" name="upload" value="1" title="Check if you want the system to generate an email when a file gets uploaded to this folder" checked="checked" /> Upload notification</td>
	</tr>
	<tr>
		<td></td>
		<td><input type="checkbox" name="download" value="1" title="Check if you want the system to generate an email when a file gets downloaded to this folder"  checked="checked" /> Download notification</td>
	</tr>
	<tr>
		<td></td>
		<td><input type="submit" value="Create" class="dialogButton" title="Click here to add a notification record"></td>
	</tr>
</table>



<input type="hidden" name="operation" value="notifications" />
<input type="hidden" name="st" value="add" />
<input type="hidden" name="fn" value="<%=request.getParameter("fn") %>" />
</form>


<%
List<NotificationBean> existingNotifications = (List<NotificationBean>)request.getAttribute("existingNotifications");

if(existingNotifications != null && existingNotifications.size() > 0){
	%>
	<h3>Existing notifications</h3>
	
	<table class="table" width="100%">
		<tr>
			<th>Email Address</th>
			<th>Upload</th>
			<th>Download</th>
			<th>Action</th>
		</tr>
		
		<%
		for(int i = 0 ; i < existingNotifications.size(); i++){
			String fName;
			try{
				fName = java.net.URLEncoder.encode(request.getParameter("fn"), "UTF-8");
			}catch(Exception e){
				fName = request.getParameter("fn");
			}
			%>
			<tr>
				<td><%=existingNotifications.get(i).getEmail() %></td>
				<td><%=existingNotifications.get(i).isUpload() ? "Yes" : "No" %></td>
				<td><%=existingNotifications.get(i).isDownload() ? "Yes" : "No" %></td>
				<td><a href="<%=response.encodeURL("app?operation=notifications&st=remove") %>&email=<%=existingNotifications.get(i).getEmail()%>&fn=<%= fName%>"
					title="Remove <%=existingNotifications.get(i).getEmail() %> from notification list."
					onclick="javascript:return confirm('This will remove <%=existingNotifications.get(i).getEmail() %> from the notification list. Are you sure?')"
					>Remove</a></td>
			</tr>
			<%
		}
		%>
		
	</table>
	<%
	
}
%>


	</div>
</div>


<!-- Column Two  -->
<div id="secondaryContent_2columns">
	<div id="columnC_2columns">
		<div class="panel panel-primary animated bounceInUp animation-delay-3">
			<div class="panel-heading">
				<h3 class="panel-title">Frequently asked questions</h3>
			</div>
			<div class="panel-body quicklinks">
					<ul>
						<li><a href="http://web.synametrics.com/SynaManNotifications.htm">What are notifications</a>
						<li><a href="http://web.synametrics.com/SynaManNotificationsModify.htm">How to modify existing notifications</a>
					</ul>
			</div>
		</div>
		
		
	</div>
</div>
<%@ include file="Footer.jsp" %>