<%@page import="java.util.List, com.synametrics.wefmanager.users.*"%>
<%@ include file="Header.jsp" %>




<div class="row">
<div class="col-md-4">
	<div class="panel panel-primary animated fadeInDown">
		<div class="panel-heading">Default Quota</div>
		<div class="panel-body">
			Assign a default value that will be used as a quota for any new user. This value will not affect existing users.
			<form  role="form" action="<%=controllerPath%>" method="post">
				<div class="form-group">
				    <input type="text" class="form-control" id="defQuota" name="defQuota" value="<%= request.getAttribute("defQuota") == null ? "-1" : request.getAttribute("defQuota") %>" required>
			    </div>
			    <button type="submit" class="btn btn-default">Set Default</button>
			    <input type="hidden" name="operation" value="mngUsers">
				<input type="hidden" name="st" value="dq">
			</form>
		</div>
	</div>
</div>

<div class="col-md-4">
	<div class="panel panel-primary animated fadeInDown">
		<div class="panel-heading">Assign Quota</div>
		<div class="panel-body">
			Quickly assign the following quota to every user. This will only modify values for existing users.
			<form  role="form" action="<%=controllerPath%>"  method="post">
				<div class="form-group">
				    <input type="text" class="form-control" id="assignQuota" value="" name="assignQuota" required>
			    </div>
			    <button type="submit" class="btn btn-default">Assign Quota</button>
			    <input type="hidden" name="operation" value="mngUsers">
				<input type="hidden" name="st" value="aq">
			</form>
		</div>
	</div>
</div>

<div class="col-md-4">
	<div class="panel panel-primary animated fadeInDown">
		<div class="panel-heading">Quota Action</div>
		<div class="panel-body">
			Define what happens if the disk usage goes beyond their assigned quota.
			<form  role="form" action="<%=controllerPath%>"  method="post">
				<div class="form-group">
				    
				    <select class="form-control" name="qaValue" >
				    	<option value="1" <%= request.getAttribute("qa_error") %> >Throw Error</option>
				    	<option value="2" <%= request.getAttribute("qa_errorNAlert") %>>Throw Error with alert</option>
				    	<option value="3" <%= request.getAttribute("qa_alert") %>>Generate alert</option>
				    </select>
			    </div>
			    <button type="submit" class="btn btn-default">Set Action</button>
			    <input type="hidden" name="operation" value="mngUsers">
				<input type="hidden" name="st" value="qAction">
			</form>
		</div>
	</div>
</div>
</div>


<h2>Quota <small>Existing Users</small></h2>

<%
List<UserHolder> users = (List<UserHolder>) request.getAttribute("users");

if(users != null && users.size() > 0){
%>
<table class="table table-striped animated bounceInUp animation-delay-3" width="100%">
	<thead>
		<tr>
			<th>User's login</th>
			<th>Full name</th>
			<th>Used</th>
			<th>Quota</th>
			<th>Action</th>
		</tr>
	</thead>
		<%		
		for(int i = 0; i < users.size(); i++){
			if(users.get(i).getLevel() == 2 || users.get(i).matches(UserManager.templateUserName)){
				continue;
			}
		%>
		<tr>
			<td><%=users.get(i).getLogin() %></td>
			<td><%=users.get(i).getFullNameNeverBlank() %></td>
			<td>
			<%
			if(users.get(i).getActualDiskUsage() == -1){ %>
				<i class="glyphicon glyphicon-refresh" style="color:#cccccc" title="No quota is specified for this user."> </i>
			<%
			}else{
			%>
				<a href="<%=response.encodeURL("app?operation=mngUsers&st=recalcd") %>&ul=<%=users.get(i).getLogin()%>" title="Recalculate disk usage"><i class="glyphicon glyphicon-refresh"></i></a> 
			<%} %>
			<%=users.get(i).getActualDiskUsageAsStr() %></td>
			<td><%=users.get(i).getQuotaNeverNull() %></td>
			<td>
				<a href="<%=response.encodeURL("app?operation=mngUsers&st=modifyUser&tar=q") %>&ul=<%=users.get(i).getLogin()%>" title="Modify password or email address for the user" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">Modify</a>
			</td>
		</tr>
		
		<%			
		}
		%>
		
	</table>
<%	
}
%>
<%@ include file="Footer.jsp" %>
