<%@ include file="TipHeader.jsp" %>


<%
boolean modifyUser = request.getAttribute("modifyUser").equals("true");

String lblLogin = modifyUser ? "Login:" : "Email/Login";
String lblLoginTip = modifyUser ? "Login ID for the user." : "Email address is used for login ID";
%>
<form action="<%=controllerPath%>" target="_parent" method="POST">
<table class="table">
	
	<tr>
		<th align="right">User's name:</th>
		<td><input type="text" value="<%=request.getAttribute("fullName") == null ? "" : request.getAttribute("fullName") %>" name="fullName" size="30"><br>
		<small>User's full name.</small><br></td>
	</tr>
	
	<tr>
		<th align="right"><%=lblLogin %></th>
		<td><input type="text" value="<%=request.getAttribute("login") == null ? "" : request.getAttribute("login") %>" name="login" size="30"><br>
		<small><%=lblLoginTip %></small><br></td>
	</tr>
	
	
	
	
	
	<tr>
		<th align="right">Password:</th>
		<td><input type="password" value="" name="password" size="30" autocomplete="off" ><br>
		<small><%= modifyUser ? "Leave blank to leave the password as-is" : "Assign a password for this user" %></small></td>
	</tr>
	
	<%
	if(modifyUser && request.getAttribute("emailAndLoginAreSame").equals("false")){
		%>
		<tr>
			<th align="right">Email:</th>
			<td><input type="email" value="<%=request.getAttribute("email") == null ? "" : request.getAttribute("email") %>" name="email" size="30"><br>
			<small>User's email address.</small><br></td>
	    </tr>
		<%
	}
	%>
	
	<%
	if(modifyUser){
		%>
	
		<tr>
			<th align="right">Home directory:</th>
			<td><input type="text" value="<%=request.getAttribute("homePath") == null ? "" : request.getAttribute("homePath") %>" name="homePath" size="30"><br>
			<small>If specified, this folder is considered a home directory for the user and will be automatically added in the browser.</small></td>
		</tr>
		
		<%if(request.getAttribute("showQuota").equals("true")){ %>
		<tr>
			<th align="right">Home quota:</th>
			<td><input type="text" value="<%=request.getAttribute("quota") == null ? "-1" : request.getAttribute("quota") %>" name="quota" size="30"><br>
			<small>Quota for home directory. For example: 1gb. A zero or -1 means no quota</small></td>
		</tr>
		<%} %>
		
		
		
		
		
		
		<%
	}
	%>
	
	
	<%if(request.getAttribute("arEncryption") != null && request.getAttribute("arEncryption").equals("true")){ %>
	<tr>
		<th align="right">Encrypt Home Folder</th>
		<td>
		<input type="checkbox" name="encrypted" <%=request.getAttribute("encrypted") %> value="1">
		<small>If checked, contents within the home folder will be encrypted</small>
		</td>
	</tr>
	<%} %>
	
	
	<%if(request.getAttribute("showEB").equals("true")){ %>
	<tr>
		<th align="right">Enhanced browser</th>
		<td>
		<input type="checkbox" name="bt" <%=request.getAttribute("bt") %> value="1">
		<small>If checked, enhanced browser is displayed when user logs in</small>
		</td>
	</tr>
	<%} %>
	
	<tr>
		<th align="right">Recycling Bin</th>
		<td>
		<input type="checkbox" name="erb" <%=request.getAttribute("erb") %> value="1">
		<small>If checked, recycling bin will be enabled for user's home folder</small>
		</td>
	</tr>
	
	
	<tr>
		<th></th>
		<td><input type="submit" value="<%= modifyUser ? "Modify User" : "Create User" %>" class="dialogButton"></td>
	</tr>
</table>

<input type="hidden" name="operation" value="mngUsers">
<input type="hidden" name="st" value="saveUser">
<input type="hidden" name="oldLogin" value="<%=request.getAttribute("oldLogin") == null ? "" : request.getAttribute("oldLogin") %>" />
<input type="hidden" name="modifyUser" value="<%=modifyUser%>">

<%
if(request.getParameter("tar") != null){
	%>
	<input type="hidden" name="tar" value="<%=request.getParameter("tar")%>">
	<%
}
%>


</form>
<%@ include file="TipFooter.jsp" %>