<%@ page import="java.io.*, com.synametrics.sradef.util.ForJsp" %>
<%
if(com.synametrics.wefmanager.bean.Rv.iv(request)) return;
%>
<head>
	<!-- JQUERY-->
	<script src="contents/js/jquery-1.10.2.min.js"></script>
	<!-- CHART-->   
	<script src="contents/Chart.js/dist/Chart.js"></script>
</head>

<%
if(true){ //Enclose in a block so that I can repeat variable names.
	
	String diskPath = (String)request.getAttribute("diskPath");
	
	if(diskPath == null) diskPath = "/";
	File file = new File(diskPath);

	
	long _dtotalSpace = file.getTotalSpace();
	long _dtotalFree = file.getFreeSpace();
	long _dtotalUsed = _dtotalSpace - _dtotalFree;

	int _dtotalWidth = 296;

	if(_dtotalSpace == 0) _dtotalSpace = 1;

	int _dpercentUsed = (int)((_dtotalUsed * 100) / _dtotalSpace);
	int _dpercentFree = 100 - (_dpercentUsed);
	
	int _dredWidth = _dpercentUsed * _dtotalWidth / 100;
	int _dblueWidth = _dpercentFree * _dtotalWidth / 100;
	
	String _dtotalString = ForJsp.formatFileSize(_dtotalSpace);
	String _dusedString = ForJsp.formatFileSize(_dtotalUsed);
	String _dfreeString = ForJsp.formatFileSize(_dtotalFree);
%>

<h4 style="text-transform: none;">Disk status for <b><%=diskPath %></b></h4>
<script>  
$(function(){
	if (typeof Chart === 'undefined') return;
// Pie chart
// -----------------------------------
var total = '<%=_dtotalString%>';
var used = '<%=_dusedString%>';
var free = '<%=_dfreeString%>';
var pieData = {
	labels: [
		'Used Disk Space',
		'Free Disk Space',
	],
	datasets: [{
		data: [used.substring(0, used.length-2), free.substring(0, free.length-2)],
		backgroundColor: [
			'#ec2121',
			'#00708C',
		],
		hoverBackgroundColor: [
			'#ec2121',
			'#00708C',
		]
	}]
};

var pieOptions = {
	legend: {
		display: true
	}
};
var piectx = document.getElementById('panelDiskStatus<%=pieChartNum%>').getContext('2d');
var pieChart = new Chart(piectx, {
	data: pieData,
	type: 'pie',
	options: pieOptions
});

});
</script>
<div class="row">
<div class="col-md-4"><canvas id="panelDiskStatus<%=pieChartNum%>"></canvas></div>
<div class="col-md-8">
<div class="globeCallout_small table-responsive">
	<table class="table table-bordered">
	<tr>
		<th>Total Disk Space:</th><td><%=_dtotalString%></td>
	</tr>
	<tr>
	  <th>Total Used:</th><td><%=_dusedString%></td>
	</tr>
	<tr>
	  <th>Free Space:</th><td><%=_dfreeString%></td>
	</tr>  
	</table>
</div>
</div>
</div>
	
	<%
	}
	%>