<%@ page import="java.util.*, com.synametrics.commons.util.*" %>
<%
if(com.synametrics.wefmanager.bean.Rv.iv(request)) return;
%>

<head>
	<!-- JQUERY-->
	<script src="contents/js/jquery-1.10.2.min.js"></script>
	<!-- CHART-->   
	<script src="contents/Chart.js/dist/Chart.js"></script>
</head>

<%
	long allocated = Runtime.getRuntime().totalMemory();
	long totalMemory = Runtime.getRuntime().maxMemory();
	long usedMemory = Runtime.getRuntime().totalMemory() - Runtime.getRuntime().freeMemory();

	int totalWidth = 296;
	
	int percentUsed = (int)((usedMemory * 100) / totalMemory);
	int percentAlloc = ((int)((allocated * 100) / totalMemory)) - percentUsed;
	int percentFree = 100 - (percentAlloc + percentUsed);
	
	
	int redWidth = percentUsed * totalWidth / 100;
	int greenWidth = percentAlloc * totalWidth / 100;
	int blueWidth = percentFree * totalWidth / 100;
	
	String usedString = (usedMemory / 1024000) + " MB";
	String allocString = (allocated / 1024000) + " MB";
	String totalString = (totalMemory / 1024000) + " MB";
	
%>
<h4>Memory Status</h4>
<script>
// CHART PIE
// -----------------------------------
$(function(){
	if (typeof Chart === 'undefined') return;

var totall = '<%=totalString%>';
var usedd = '<%=usedString%>';
var alloc = '<%=allocString%>';
	
var pieData = {
	labels: [
		'Free Memory',
		'Allocated Memory',
		'Used Memory',
	],
	datasets: [{
		data: [totall.substring(0, totall.length-2), alloc.substring(0, alloc.length-2), usedd.substring(0, usedd.length-2) ],
		backgroundColor: [
			'#00708C',
			'#27c24c',
			'#ec2121',
		],
		hoverBackgroundColor: [
			'#00708C',
			'#27c24c',
			'#ec2121',
		]
	}]
};

var pieOptions = {
	legend: {
		display: true
	}
};
var piectx = document.getElementById('panelMemoryChart').getContext('2d');
var pieChart = new Chart(piectx, {
	data: pieData,
	type: 'pie',
	options: pieOptions
});

});
</script>
<div class="row">
<div class="col-md-8">
	<div class="globeCallout_small table-responsive">
		<table class="table table-bordered">
		<tr>
		  <td>Used Memory:</td><td><%=usedString%></td>
		</tr>
		<tr>
		  <td>Allocated Memory:</td><td><%=allocString%></td>
		</tr>
		<tr>
		  <td>Total Memory:</td><td><%=totalString%></td>
		</tr>
		</table>
	</div>
</div>
<div class="col-md-4"><canvas id="panelMemoryChart"></canvas></div>
</div>