<%@ include file="Header.jsp" %>

<h2 class="underline-title no-margin-top">Support Renewal</h2> 

<section>

	<div class="row">
        <div class="col-md-5">
           <div class="panel panel-primary animated fadeInDown">
                <div class="panel-heading">Support Contract Auto Renewal</div>
                <div class="panel-body">
                    <form role="form" action="<%=controllerPath%>" method="POST">
                        
                   
                        <div class="row">
                            <div class="col-md-8">
                                <label class="checkbox-inline">
                                    <input type="checkbox" id="autoRenew" name="autoRenew" value="1" checked='checked'> Auto Renew (recommended)
                                </label>
                            </div>
                            <div class="col-md-4">
                                <button type="submit" class="btn btn-primary pull-right">Proceed</button>
                            </div>
                        </div>
                        
                  
                        <input type="hidden" name="operation" value="buy">
                        <input type="hidden" name="st" value="bPerp2">
                        
                        <%
                        if(request.getAttribute("isSuppRenewal") != null && request.getAttribute("isSuppRenewal").equals("true")){
                       	%>
                       	<input type="hidden" name="isSuppRenewal" value="true">
                       	<%
                        }
                        %>
                        
                    </form>
                </div>
            </div>
            
            <div class="alert alert-success">
            <h4>Important</h4>
            No Credit Card information is saved on any Synametrics' servers. Instead, it will be saved in <code>$INSTALL_DIR\config\PaymentInfo.xml</code> file on the machine
            where SynaMan is running.</h4>
            </div>
            
            
        </div>
      
		<div class="col-md-7">
		
			<div class="panel panel-success animated fadeInDown">
                <div class="panel-heading">What is a Support Contract</div>
                <div class="panel-body">
               
                    Even though your license is perpetual, support contract is an yearly contract. A
                    valid support contract gives you:
                    
                    <ul>
                    	<li>Free upgrades to the software</li>
                    	<li>Ability to reach support via email and/or phone</li>
                    </ul>
                    
                    <h3>What happens if I decide not to renew support</h3>
                    <ul>
                    	
                    	<li>You can continue using the last version of SynaMan before your support expired for as long as you like.</li>
                    	<li>You will have to purchase an upgrade if you decide to use the latest version. 
                    		<a href="https://web.synametrics.com/SynaManCost.htm" target="_blank" 
                    		title="Click here for details regarding upgrade cost">Details...</a>
                    </ul>
                </div>
            </div>
            
            
            
			<div class="panel panel-warning animated fadeInDown">
                <div class="panel-heading">What is Auto Renew</div>
                <div class="panel-body">
               
                    If checked, your support contract automatically renew after the first year is over. Benefits are:
                    
                    <ul>
                    	<li>You will get a 10% discount</li>
                    	<li>You will be able to upgrade for free when you have a valid support contract</li>
                    </ul>
                    
                    
                </div>
            </div>
            
     
            
		</div>
        
    </div> <!-- row -->

</section>






<%@ include file="Footer.jsp" %>