<%@ include file="Header.jsp" %>

<h2 class="underline-title no-margin-top">Renewal Options</h2> 

<section>

	<div class="row">
        <div class="col-md-5">
           <div class="panel panel-primary animated fadeInDown">
                <div class="panel-heading">License Count and Frequency</div>
                <div class="panel-body">
                    <form role="form" action="<%=controllerPath%>" method="POST">
                        <div class="form-group">
                            <label for="freq">Frequency<sup>*</sup></label>
                      
                            <select id="freq" name="freq" class="form-control">
                            	<option value="M">Monthly</option>
                            	<option value="Y">Yearly - with 1 month free</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="uc">User Count</label>
                            <input type="number" name="uc" class="form-control" id="uc" min="1" <%
                            if(request.getAttribute("suc") != null){
                            	out.print("value='" + request.getAttribute("suc").toString() + "'");
                            }
                            %>  required>
                        </div>
                   
                        <div class="row">
                            <div class="col-md-8">
                                <label class="checkbox-inline">
                                    <input type="checkbox" id="autoRenew" name="autoRenew" value="1" checked='checked'> Auto Renew.
                                </label>
                            </div>
                            <div class="col-md-4">
                                <button type="submit" class="btn btn-primary pull-right">Proceed</button>
                            </div>
                        </div>
                        
                        <input type="hidden" name="ptype" value="subs">
                        <input type="hidden" name="operation" value="buy">
                        <input type="hidden" name="st" value="bPayg2">
                        
                    </form>
                    
                    <p><br><br>
                    <b>Note: </b> Final cost will be displayed on the following page.
                    </p>
                </div>
            </div>
        </div>
      
		<div class="col-md-6 col-md-offset-1">
			<div class="panel panel-success animated fadeInDown">
                <div class="panel-heading">Auto Renew</div>
                <div class="panel-body">
                    <p>If checked, your subscription will renew automatically at the end of your term. </p>
                    <p>
                    <ul>
                    	<li>Subscription will be renewed a few days before it actually expires</li>
                    	<li>Email will be sent to <code><%= request.getAttribute("adminEmail") %></code> with status or if the renewal runs into errors</li>
                    	<li>A purchase receipt will be emailed</li>
                    </ul>
                    </p>
                </div>
            </div>
            
     
            <div class="alert alert-success">
            <h4>Important</h4>
            No Credit Card information is saved on any Synametrics' servers. Instead, it will be saved in <code>$INSTALL_DIR\config\PaymentInfo.xml</code> file on the machine
            where SynaMan is running.</h4>
            </div>
		</div>
        
    </div> <!-- row -->

</section>






<%@ include file="Footer.jsp" %>