<%@page import="java.util.Calendar"%>
<%@ include file="Header.jsp" %>

<h2 class="underline-title no-margin-top">Purchasing SynaMan <small>Review Values</small></h2> 


<%
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%>
	<div class="alert alert-danger">
		<%=errorMsg %>
	</div>
	<%
}
%>
<section>

	
	<%@ include file="PurchaseSummaryTable.jsp" %>

	
	
	
	<div class="panel panel-primary animated fadeInDown">
		<div class="panel-heading">Contact/Billing Details</div>
		<div class="panel-body">
		    
		    <div class="row">
		    	<div class="col-md-4">
		    		<table class="table table-condensed table-bordered">
		    			<tr>
		    				<th>Contact</th>
		    			</tr>
		    			
		    			<tr>
		    				<td>
		    					<table style="width:100%">
		    						<tr>
		    							<th>Name</th>
		    							<td><%= request.getAttribute("contactFN") %> <%= request.getAttribute("contactLN") %></td>
		    						</tr>
		    						
		    						<tr>
		    							<th>Company</th>
		    							<td><%= request.getAttribute("company") %></td>
		    						</tr>
		    						
		    						<tr>
		    							<th>Email</th>
		    							<td><%= request.getAttribute("email") %></td>
		    						</tr>
		    						
		    						<tr>
		    							<th>Phone</th>
		    							<td><%= request.getAttribute("phone") %></td>
		    						</tr>
		    					</table>
		    			
		    				</td>
		    			</tr>
		    		</table>
		    	</div>
		    	
		    	
		    	<div class="col-md-4">
		    		<table class="table table-condensed table-bordered">
		    			<tr>
		    				<th>Billing</th>
		    			</tr>
		    			
		    			<tr>
		    				<td>
		    					<table style="width:100%">
		    						<tr>
		    							<th>Card Holder</th>
		    							<td><%= request.getAttribute("ccName") %></td>
		    						</tr>
		    						<tr>
		    							<th>Address</th>
		    							<td><%= request.getAttribute("address1") %>, <%= request.getAttribute("address2") %><br>
		    							<%= request.getAttribute("city") %>, <%= request.getAttribute("state") %> <%= request.getAttribute("zip") %><br>
		    							<%= request.getAttribute("country") %>
		    							
		    							</td>
		    						</tr>
		    					</table>
		    			
		    				</td>
		    			</tr>
		    		</table>
		    	</div>
		    	
		    	
		    	
		    	<div class="col-md-4">
		    		<table class="table table-condensed table-bordered">
		    			<tr>
		    				<th>Payment Info</th>
		    			</tr>
		    			
		    			<tr>
		    				<td>
		    					<table style="width:100%">
		    						<tr>
		    							<th>Card Number</th>
		    							<td><%= request.getAttribute("ccNumberMasked") %></td>
		    						</tr>
		    						<tr>
		    							<th>Security ID</th>
		    							<td><%= request.getAttribute("secCode") %></td>
		    						</tr>
		    						<tr>
		    							<th>Expiration date:</th>
		    							<td><%= request.getAttribute("expDateStr") %></td>
		    						</tr>
		    						<tr>
		    							<th>Card Type</th>
		    							<td><%= request.getAttribute("ccTypeStr") %></td>
		    						</tr>
		    					</table>
		    			
		    				</td>
		    			</tr>
		    		</table>
		    	</div>
		    	
		    	
		    </div>
		    
		
	    </div>
	</div>
            
    <center>
    	<a href="<%=response.encodeURL("app?operation=buy&st=pProceed") %>" title="DO NOT double-click this button"><button class="btn btn-primary">Proceed</button></a>
    </center>
            

</section>






<%@ include file="Footer.jsp" %>