<%@ include file="Header.jsp" %>

<h2 class="section-title no-margin-top">Registration</h2> 


<%
String errorMessage = (String) request.getAttribute("errorMessage");
if(errorMessage != null){
	out.println("<div class='alert alert-danger'>" + errorMessage + "</div>");
}

String adminEmail = request.getParameter("email");
if(adminEmail == null){
	adminEmail = (String)request.getAttribute("email");
}
if(adminEmail == null){
	adminEmail = "";
}

String emailReadOnly = adminEmail.trim().length() == 0 ? "" : "readonly=\"readonly\"";
%>

<div class="row">
	<div class=" col-md-8">
		<div class="panel panel-primary animated fadeInDown">
			<div class="panel-heading">Register Form</div>
			<div class="panel-body">
				<form role="form" action="<%=controllerPath%>" method="POST">
					<p>Please fill out the form below to complete this registration process.</p>
					<div class="form-group">
						<label for="InputUserName">First Name:</label>
						<input type="text" class="form-control" name="firstName" size="25" value="<%=request.getParameter("firstName") == null ? "" : request.getParameter("firstName")%>" required />
					</div>
					<div class="form-group">
						<label for="InputLastName">Last Name</label>
						<input type="text" class="form-control" name="lastName" size="25" value="<%=request.getParameter("lastName") == null ? "" : request.getParameter("lastName")%>"  required/>
					</div>
					<div class="form-group">
						<label for="InputFirstName">Company Name</label>
						<input type="text" class="form-control" name="company" size="35" value="<%=request.getParameter("company") == null ? "" : request.getParameter("company")%>"  required/>
					</div>
					<div class="form-group">
						<label for="InputEmail">Email</label>
						<input type="email" class="form-control" name="email" <%=emailReadOnly %>  size="35"value="<%=adminEmail%>" />
					</div>
					<div class="form-group">
						<label for="InputEmail">Phone</label>
						<input type="tel" class="form-control" name="phone" size="25" value="<%=request.getParameter("phone") == null ? "" : request.getParameter("phone")%>"  required/>
					</div>
					<div class="form-group">
						<div class="col-md-12">
							<button type="submit" class="btn btn-primary">Register</button>
							<input type="hidden" name="operation" value="darji"></input>
							<input type="hidden" name="st" value="1"></input>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
	<div class="col-md-4">
		<p class="well">
		You need to register your copy before using SynaMan. This registration process will fetch a serial 
		number that is required for the system to work on this machine.
		</p>
	</div>
</div>

<%@ include file="Footer.jsp" %>