<%@page import="com.synametrics.wefmanager.bean.Brander"%>

<%
boolean preselectImage = Brander.getInstance().getImageLogo() != null && Brander.getInstance().getImageLogo().length() > 0;


%>

<script>
function toggleLayer(blockName, styleName){
    var style2
    if (document.getElementById){
        // this is the way the standards work
        style2 = document.getElementById(blockName).style;
    }else if (document.all){
        // this is the way old msie versions work
        style2 = document.all[blockName].style;
    }else if (document.layers){
        // this is the way nn4 works
        style2 = document.layers[blockName].style;
    }
    style2.display = styleName;
}


function showImageBased(){
   toggleLayer('imageBased', 'block');
   toggleLayer('textBased', 'none');
}

function showTextBased(){
   toggleLayer('imageBased', 'none');
   toggleLayer('textBased', 'block');
   
}
</script>

<h2 class="underline-title no-margin-top">Partial branding</h2>
<div class="well well-sm">
	Branding SynaMan allow you to put your company name or logo on the web interface. 
</div>

<%
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%>
	<p class="error"><%=errorMsg %></p>
	<%
}
%>

<form class="form-horizontal" action="<%=controllerPath%>" method="POST">
	<h4>Prerequisite</h4>
	<p class="last">
	If you decide to use images, you must save the desired image files to <br>
	<b><%=request.getAttribute("brandingFolder") %></b><br> folder and then specify the file names
	here.</p>

	<div class="form-group">
		<div class="col-sm-offset-0 col-sm-12">
			<div class="radio">
			<label for="TextBased">
				<input type="radio" name="bType" id="TextBased" onclick="showTextBased();" value="textual" <%= preselectImage ? "" : "checked='checked'" %> /> Use Textual Values
			</label>
			</div>
			<div class="radio" for="ImageBased">
			<label>
				<input type="radio" onclick="showImageBased();" name="bType" id="ImageBased" value="images" <%= preselectImage ?  "checked='checked'" : "" %> /> Use Images
			</label>
			</div>
		</div>
	</div>
     
     <div id="textBased">
		These values will appear on the upper left hand corner of the screen in two lines. 
		<div class="form-group">
			<label for="line1" class="col-sm-2 control-label">Main heading:</label>
			<div class="col-sm-10">
				<input type="text" class="form-control" name="line1" id="line1" value="<%= Brander.getInstance().getLine1() %>">
				<small>This value will appear on the upper left hand corner.</small>
			</div>
		</div>
		<div class="form-group">
			<label for="line2" class="col-sm-2 control-label">Sub heading:</label>
			<div class="col-sm-10">
				<input type="text" class="form-control" id="line2" name="line2" value="<%= Brander.getInstance().getLine2() %>" />
				<small>This value will appear on the upper right hand corner.</small>
			</div>
		</div>
	 </div>
		     
     
     <div id="imageBased">
		These images will appear on the towards the top of the screen. Create image
		files before saving this page.
		<div class="form-group">
			<label for="logoImage" class="col-sm-2 control-label">Logo Image:</label>
			<div class="col-sm-10">
				<input type="text" class="form-control" name="logoImage" id="logoImage" value="<%= Brander.getInstance().getImageLogo() %>" title="Type the file name of the image without any path information." />
				<small>This image will appear on the upper left hand corner. It should be 315x112 pixels</small>
			</div>
		</div>
		<div class="form-group">
			<label for="imageAnchor" class="col-sm-2 control-label">Image Anchor:</label>
			<div class="col-sm-10">
				<input type="url" class="form-control" name="imageAnchor" id="imageAnchor" value="<%= Brander.getInstance().getAnchor() %>" title="URL where user is redirected when image is clicked." />
				<small>URL where user is redirected when logo is clicked</small>
			</div>
		</div>
	 </div>
	 
	 
	<div class="form-group">
		<label for="expTitle" class="col-sm-2 control-label">Explorer Title:</label>
		<div class="col-sm-10">
			<input type="text" class="form-control" name="expTitle" id="expTitle" value="<%= Brander.getInstance().getExplorerTitle() %>" title="Title for Remote File Explorer." />
			<small>Title for the Remote Explorer Window</small>
		</div>
	</div>

	<h2 class="underline-title no-margin-top">Total Branding</h2>
	<%if(request.getAttribute("templateUrlState").toString().length() > 0){ %>
	
		<div class="alert alert-success">
			<h4>Upgrade?</h4>
			<p class="last">
			Total branding is only available in the Enterprise edition. 
			<a href="<%=response.encodeURL("app?operation=buy") %>"><button class="btn btn-warning pull-right">Upgrade Now</button></a><br><br>
			</p>
		</div>
	<%}else{ %>
		<div class="alert alert-success">
			<h4>Need help?</h4>
			<p class="last">
				It is strongly recommended you <a href="http://web.synametrics.com/SynaManTotalBranding.htm">read this</a> before using this feature
			</p>
		</div>
	<%} %> 		
			
	<div class="well well-sm">
		<b>IMPORTANT: </b> Total branding is only available in the Enterprise edition of SynaMan. 
	</div>
		<div class="form-group">
			<label for="templateUrl" class="col-sm-2 control-label">Template URL:</label>
			<div class="col-sm-10">
				<input type="url" class="form-control" name="templateUrl" id="templateUrl" <%= request.getAttribute("templateUrlState") %> value="<%= Brander.getInstance().getCustomTemplateUrl() %>" />
				<small>URL of the template page. For example: http://YourWebsite.com/Template.htm</small>
			</div>
		</div>
		<div class="form-group">
			<div class="col-sm-offset-2 col-sm-10">
				<div class="checkbox">
				<label for="autoUpdateTemplate">
					<input type="checkbox" name="autoUpdateTemplate" id="autoUpdateTemplate" value="1" <%=request.getAttribute("autoUpdateTemplate") %> /> Auto update
				</label>
				<small>If checked, SynaMan will automatically refresh the template file once a day.</small>
				</div>
			</div>
		</div>
		<div class="form-group">
			<div class="col-sm-offset-2 col-sm-10">
				<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Apply</button>
			</div>
		</div>
	<input type="hidden" name="operation" value="sbrand">
	<input type="hidden" name="st" value="save">
</form>





<script>
<%
if(preselectImage){
	out.println("showImageBased();");
}else{
	out.println("showTextBased();");
}
%>
</script>