



<form action="<%=controllerPath%>" method="POST" class="form-horizontal">
	
	<div class="alert alert-info">Single Sign-On features enables SynaMan to authenticate users
	through an Authentication Server that support the <b>OAuth2/OpenID Connect</b> protocols. </div>


	<%
	if(request.getAttribute("ssoShowUidWarning") != null){
		%>
		<div class="alert alert-warning">
		<h4>Very Important</h4>
		Prior to enabling SSO, you must modify the value for <b>Admin User</b> under the <b>Security</b> tab to a valid user account
		on your Identity Server. Failure to do that could get you locked out of SynaMan. <a href="https://web.synametrics.com/synaman-sso.htm" target="_blank">Click here</a>
		for details.
		</div>
		<%
	}
	%>
	
	<div class="form-group">
		<div class="col-sm-offset-4 col-sm-8">
			<div class="checkbox">
			<label for="ssoEnabled"  class="labelCheckbox"><input type="checkbox" name="ssoEnabled" value="true" id="ssoEnabled" class="inputCheckbox" <%= request.getAttribute("ssoEnabled") == null ? "" : request.getAttribute("ssoEnabled") %> /> Enabled</label>
			<br><small>Other values on this page are ignored if this box is not checked.</small>
			</div>
		</div>
	</div>


	<div class="form-group">
		<label for="metaUrl" class="col-sm-4 control-label">Auth Server Metadata URL:</label>
		<div class="col-sm-8">	
			<input type="url" name="metaUrl" id="metaUrl" class="form-control" value="<%= request.getAttribute("metaUrl") == null ? "" : request.getAttribute("metaUrl") %>" />
			<small>URL for metadata for your authentication server.</small>
		</div>		
	</div>

	<div class="form-group">
		<label for="clientId" class="col-sm-4 control-label">Client ID:</label>		
		<div class="col-sm-8">
			<input type="text" name="clientId" id="clientId" class="form-control" value="<%= request.getAttribute("clientId") == null ? "SynaMan" : request.getAttribute("clientId") %>" />
			<small>Client ID.</small>
		</div>
	</div>
	
	<div class="form-group">
		<label for="clientSecret" class="col-sm-4 control-label">Client Secret:</label>
		<div class="col-sm-8">
			<input type="password" name="clientSecret" id="clientSecret" class="form-control" value="<%= request.getAttribute("clientSecret") == null ? "" : request.getAttribute("clientSecret") %>" />
			<small>Client secret as specified in your authentication server.</small>
		</div>
	</div>

	
	


	
	<div class="form-group">
		<div class="col-sm-offset-4 col-sm-8">
			<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Save</button>
		</div>
	</div>

	<input type="hidden" name="operation" value="config" />
	<input type="hidden" name="st" value="saveSsoConfig" />

</form>

