<%@ include file="Header.jsp" %>

<div class="row">
<div class="col-md-4"><img src="images/SynaManLogo.png" class="img-responsive"></div>
<div class="col-md-8">
	<h2 class="underline-title no-margin-top">SynaMan - <small>Version: <%=com.synametrics.sradef.util.VersionManager.getInstance().getFullVersion() %></small></h2>
	<div class="well well-sm">If you have purchased SynaMan Enterprise and have been sent another serial number, enter it below.	</div>
	
	<form  action="<%=controllerPath%>" method="POST" class="form-horizontal">
		<div class="form-group">
			<label class="col-sm-4 control-label">Company Name:</label>
			<div class="col-sm-8"> 
				<input type="text" class="form-control" size="35" name="company" value="<%=request.getParameter("company") == null ? "" : request.getParameter("company") %>" />
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-4 control-label">Serial Number:</label>
			<div class="col-sm-8"> 
				<input type="text" class="form-control" size="35" name="sn" value="<%=request.getParameter("sn") == null ? "" : request.getParameter("sn") %>" />
			</div>
		</div>
		
		<div class="form-group">
			<label class="col-sm-4 control-label">User Count:</label>
			<div class="col-sm-8"> 
				<input type="number" class="form-control" name="uc" value="<%=request.getParameter("uc") == null ? "0" : request.getParameter("uc") %>" />
			</div>
		</div>
		
		
		<div class="form-group">
			<div class="col-sm-offset-2 col-sm-10">
				<button type="submit" class="btn btn-primary">Proceed</button>
			</div>
		</div> 
		<input type="hidden" name="operation" value="esnum">
	</form>
	
	<%
	String errorMessage = (String)request.getAttribute("errorMessage");
	if(errorMessage != null){
		%>
		<div class="alert alert-danger"><%=errorMessage %></div>
		<%
	}
	%>
</div>
</div>
<div class="clearfix"></div>

<%@ include file="Footer.jsp" %>