<%@ include file="Header.jsp" %>

<%
String discString = "";
if(request.getAttribute("hasExpired").equals("true")){
	%>
	<h2 class="section-title no-margin-top">Your support contract has expired</h2>
	<div class="alert alert-info">
		Your support expired on:<strong><%=request.getAttribute("expDate") %></strong><br />
		Would you like to renew your support contract? 
	</div> 
	<%
}else{
	discString = " with 10% discount";
	%>
	<h2 class="section-title no-margin-top">Your support contract will expire soon</h2>
	<div class="alert alert-info">
		Your support expires on:<strong><%=request.getAttribute("expDate") %></strong><br />
		Get 10% discount on renewal</b><br>
		Act now and save 10% on your support renewal cost. <br><b>Offer valid until <%=request.getAttribute("expDate") %></b></div>
		Would you like to renew your support contract? 
	</div> 
	<%	
}
%>

<div class="well well-sm">
A valid support contract provides:
<ul>
	<li>Free upgrades</li>
	<li>Priority support via email</li>
	<li>Telephone support</li>
	<li>Access to pre-release versions of SynaMan
</ul>
<a href="http://web.synametrics.com/SynaManVersionHistory.htm" target="_blank">Click here</a> to see a version history and frequency of updates for SynaMan. 
</div>
<table width="100%" class="table">
	<tr>
		<td align="center" width="33%" valign="top"><br><br>
			<form action="<%=request.getAttribute("faction") %>" method="POST" class="form-horizontal">
				<input type="submit" value="Renew contract" title="Click here to renew your support contract" class="btn btn-primary" style="width:150px;">
				<input type="hidden" name="sn" value="<%=request.getAttribute("sn")  %>" >
				<input type="hidden" name="company" value="<%=request.getAttribute("company") %>" >
				<input type="hidden" name="txt36_1" value="1" >
				<input type="hidden" name="pidno" value="<%=request.getAttribute("pidno")  %>" >
				<input type="hidden" name="opval" value="<%=request.getAttribute("cost") %>" >
			</form>
			<br><br>
			Renewal cost: <b>$<%=request.getAttribute("cost") %></b> <%=discString %><br><br>
			<a href="http://web.synametrics.com/SyncrifyPRCost.htm" target="_blank" title="Learn how is this cost calculated">Learn more...</a>
		</td>
		<td align="center" width="33%" valign="top"><br><br>
			<form action="<%=controllerPath%>" method="POST" class="form-horizontal">
				<input type="submit" class="btn btn-primary" value="Remind me later" title="You will see the same message again next time you login"  style="width:150px;">
				<input type="hidden" name="operation" value="home" >				
			</form>
			<br><br>
			You will be reminded next time you log in
		</td>
		<td align="center" valign="top"><br><br>
			<form action="<%=controllerPath%>" method="POST" class="form-horizontal">
				<input type="submit" class="btn btn-primary" value="No thanks" title="You won't be reminded again"  style="width:150px;">
				<input type="hidden" name="operation" value="suppr">
				<input type="hidden" name="st" value="nomore">				
			</form>
			<br><br>
			You will not be reminded any more. You can continue using SynaMan without support. You won't be eligible for free upgrades
		</td>
	</tr>
	

</table>

<%@ include file="Footer.jsp" %>