<%@ include file="Header.jsp" %>

<h2 class="section-title no-margin-top">Two-Factor Authentication</h2>
<%
boolean mandatory = request.getAttribute("mandatory").equals("true");
%>
<div class="well well-sm">
When Two-Factor Authentication (2FA) is marked as mandatory, system will force every user to use email based authentication.
</div>
<form action="<%=controllerPath%>" method="POST" class="form-horizontal">
	<div class="form-group">
		<div class="col-md-12">
			<div class="checkbox"> 
			<label for="mandatory"><input type="checkbox" name="mandatory" id="mandatory" class="inputCheckbox" value="true" <%= mandatory ? "checked='checked'" : ""%> /> Mandatory</label>
			</div>
		</div>
	</div>

	<div class="form-group">
		<div class="col-sm-offset-0 col-sm-12">
			<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Apply</button>
		</div>
	</div>

<input type="hidden" name="operation" value="2fa">
<input type="hidden" name="st" value="aao">
<input type="hidden" name="st2" value="save">
</form>

<%@ include file="Footer.jsp" %>