<%@page import="java.util.*, com.synametrics.wefmanager.bean.*"%>
<%@ include file="Header.jsp" %>
<%
String message = (String)request.getAttribute("errorMsg");
if(message != null){
%>
<div class="well well-sm">
    <h4>ERROR</h4>
    <ul>
    	<%=message%>
    </ul>
</div>
<%
}
%>

<!-- 
<div class="row">
	<div class="col-md-12 section-title">
		<h2 style="margin:0;display: inline-block;"><i style="font-size:35px" class="fa fa-repeat"></i> Triggers</h2> 
		<div class="pull-right">
			<a class="btn btn-primary" href="<%=response.encodeURL("app?operation=mngUsers") %>"><i class="fa fa-cog"></i> Main configuration </a>
			<a class="btn btn-primary" href="<%=response.encodeURL("app?operation=aconfig") %>"><i class="fa fa-cogs"></i> Advanced configuration</a> 
		</div>
	</div>
</div>
-->





<div class="well well-sm">
	A SynaMan trigger is a mechanism to run any program/script automatically in response to certain events on a particular file. 
	Consider an example where you want your accounting software to process when someone uploads a new invoice. You can create a
	trigger in SynaMan to spawn a script that starts processing this invoice. 
</div>
<%
List<TriggerBean> triggers = (List<TriggerBean>) request.getAttribute("triggers");
int totalTriggers = 0;

if(triggers != null && triggers.size() > 0){
	totalTriggers = triggers.size();
}

%>
<div class="row">
	<div class="col-md-12">
		<div style="float:left;">
			<a class="btn btn-primary" href="<%=response.encodeURL("app?operation=triggers&st=addT") %>" title="Click here to add a new trigger" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"> <i class="fa fa-repeat"></i> Add a new trigger</a>
		</div>
		<div style="float:right;">
			<b>Total trigger count:</b> <%= totalTriggers %>
		</div>
	</div>
	<div class="clearfix"></div>
</div>

<%

if(totalTriggers == 0){
	%>
		
	<%@ include file="TriggerHelp.jsp" %>
	<%
}else{
	
	%>
	<h2 class="section-title">Existing Triggers</h2>
	<table width="100%" class="table table-hover">
		<tr>
			<th>Friendly Name</th>
			<th>Trigger Criteria</th>
			<th>Program to execute</th>
			<th>Event</th>
			<th>Expiration Date</th>
			<th>Action</th>
		</tr>
		
		<%
		for(int i = 0; i < triggers.size(); i++){
			
			%>
			<tr>
				<td><%=triggers.get(i).getFriendlyName() %></td>
				<td><%=triggers.get(i).getCriteria() %></td>
				<td><%=triggers.get(i).getExecutablePath() %></td>
				<td><%=triggers.get(i).getTriggerTypeString() %></td>
				<td><%=triggers.get(i).getExpirationDateString() %></td>
				<td>
				<a href="<%=response.encodeURL("app?operation=triggers") %>&st=modiT&i=<%=i%>" title="Click here to modify this trigger" 
					onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">Modify</a> |
				<a href="<%=response.encodeURL("app?operation=triggers") %>&st=remT&i=<%=i%>" title="Click here to remove this trigger">Remove</a></td>
			</tr>
			<%
		}
		%>
	</table>
	
	<%
}
%>

<%@ include file="Footer.jsp" %>
