<%@page import="java.util.List"%>
<%@ include file="Header.jsp" %>
<!-- 
<%=response.encodeURL("app?operation=suppr&jp=true") %>
 -->


<%
if(request.getAttribute("errorMsg") != null){
	%>
	<div class="alert alert-danger"><h4>Error</h4><%= request.getAttribute("errorMsg") %></div>
	<%
}

if(request.getAttribute("infoMsg") != null){
	%>
	<div class="alert alert-success"><%= request.getAttribute("infoMsg") %></div>
	<%
}
%>




<div class="row">
	<div class="col-md-6">
	
	<h1>Watchdog Configuration</h1>
	
	
		<form class="form-horizontal" action="app" method="POST">
		
		
			<%
			if(request.getAttribute("avc") != null){
				%>
				<div class="well well-sm">
					
					
					<p>
					<% if(request.getAttribute("multinoti") == null){ %>
					A verification code has been sent to <code><%= request.getAttribute("nEmail") %></code>. Please enter that value below.
					<%
					}else{
					%>
					A verification code has been sent to multiple addresses you specified for <b>Notification Email</b>. Every address has 
					received a different 6-digit code. Add up all the codes and enter their sum below. For example, if you received 100000 in 
					the first email and 200000 for the second, enter 300000 below.
					<%
					}
					%>
					</p>
					
					
					<div class="form-group">
					    <label for="otp" class="col-sm-3 control-label">Verification Code</label>
					    <div class="col-sm-9">
					      <input type="text" class="form-control" id="otp"  name="otp"  value="" required >
					    </div>
					</div>
				</div>
				
				<input type="hidden" name="votp" value="1"> 
				<%
			}
			%>
			
		
			<div class="form-group">
			    <div class="col-sm-offset-3 col-sm-9">
			      <div class="checkbox">
			        <label>
			          <input type="checkbox" name="wdEnabled" <%= request.getAttribute("wdEnabled") %>> Enabled
			        </label>
			      </div>
			    </div>
		  	</div>
		
			<div class="form-group">
			    <div class="col-sm-offset-3 col-sm-9">
			      <div class="checkbox">
			        <label>
			          <input type="checkbox" name="boundary" <%= request.getAttribute("boundary") %>> Boundary notifications
			        </label>
			        <br>
			        <small>If checked, only two notifications are sent when your server does not respond.</small>
			      </div>
			    </div>
		  	</div>
		  	
		  	
			<div class="form-group">
			    <label for="fqdn" class="col-sm-3 control-label">Host name</label>
			    <div class="col-sm-9">
			      <input type="text" class="form-control" id="fqdn" placeholder="Fully qualified host name" name="fqdn"  value="<%= request.getAttribute("fqdn")%>" >
			    </div>
			</div>
			
			<%
			if(request.getAttribute("avc") != null){
				%>
				<input type="hidden" name="nEmail" value="<%= request.getAttribute("nEmail") %>">
				<%
			}else{
			%>
		  	<div class="form-group">
			    <label for="nEmail" class="col-sm-3 control-label">Notification Email</label>
			    <div class="col-sm-9">
			      <input type="text" class="form-control" id="nEmail" placeholder="Notification Email" name="nEmail" value="<%= request.getAttribute("nEmail")%>" >
			    </div>
		  	</div>
		  	<%} %>
		  
		  <div class="form-group">
		    <div class="col-sm-offset-3 col-sm-9">
		      <button type="submit" class="btn btn-default">Save</button>
		    </div>
		  </div>
		  
		  
		  <input type="hidden" name="operation" value="wdc" >
		  <input type="hidden" name="st" value="sv" >
		  
		</form>
	</div>
	
	<div class="col-md-6">
		<h2>What is Watchdog?</h2>
		<p>
		Watchdog is a free service provided by Synametrics Technologies that can monitor your SynaMan 
		and will generate alerts via email if it does not respond.</p>
		
		<h2>Important Notes</h2>
		<ul>
			<li>HTTPS is preferred over HTTP.</li>
			<li>Requests are sent to the FQDN you specify on this page.
		</ul>
	</div>
</div>


<%

List<String[]> summBeans = (List<String[]>) request.getAttribute("summBeans");
			    		
if(summBeans != null){
	%>
	<p>
	<div class="row">
		<div class="col-md-6">
		<a href="<%=response.encodeURL("app?operation=wdc&st=smlt") %>"  title="Simulates a failure, which results in generating notification email."><button class="btn btn-warning">Simulate Failure</button></a>
		</div>
		
		
		<div class="col-md-6">
		<a href="<%=response.encodeURL("app?operation=wdc&st=lt") %>"><button class="btn btn-warning pull-right"  title="Confirms the Watchdog service can communicate with your SynaMan">Test Connectivity</button></a>
		</div>
	</div>
	</p>
	<%
}

if(summBeans != null && summBeans.size() > 0){
	%>
	
	<h2>Watchdog Summary For Past 10 Days</h2>
	
	
	
	<p>
	<table class="table table-bordered">
		<thead>
		<tr>
			<th>Friendly name</th>
			<th>Public IP</th>
			<th>Protocol</th>
			<th>Avg. Response Time (ms)</th>
			<th>First Ping</th>
			<th>Last Ping</th>
			<th>Success</th>
			<th>Soft Fail</th>
			<th>Fail</th>
		</tr>
		</thead>
		
		<%
		for(String[] bean : summBeans){
			
			%>
			<tr>
				<td><%= bean[9] %></td>
				<td><%= bean[1] %></td>
				<td>HTTP</td>
				<td><%= bean[3] %></td>
				<td><%= bean[4] %></td>
				<td><%= bean[5] %></td>
				<td><%= bean[6] %></td>
				<td><%= bean[7] %></td>
				<td><%= bean[8] %></td>
				
			</tr>
			
			<%
		}
		%>
	</table>
	</p>
	<%
}
%>









<%@ include file="Footer.jsp" %>