

/* Smooth scrolling para anclas */  
$(document).on('click','a.smooth', function(e){
    e.preventDefault();
    var $link = $(this);
    var anchor = $link.attr('href');
    $('html, body').stop().animate({
        scrollTop: $(anchor).offset().top
    }, 1000);
});

/* MixItUp */
$(function() {
    $('#Grid').mixitup();
});


/* Hover Touch */
$(document).ready(function() {
    $('.hover').bind('touchstart', function(e) {
        e.preventDefault();
        $(this).toggleClass('cs-hover');
    });
});



$(document).ready(function(){

    // hide #back-top first
    $("#back-top").hide();
    
    // fade in #back-top
    $(function () {
        $(window).scroll(function () {
            if ($(this).scrollTop() > 100) {
                $('#back-top').fadeIn();
            } else {
                $('#back-top').fadeOut();
            }
        });

        // scroll body to 0px on click
        $('#back-top a').click(function () {
            $('body,html').animate({
                scrollTop: 0
            }, 500);
            return false;
        });
    });

    $('#other80, #dnsLookup').hide();
    
    $('#leChallengeType').prop("selectedIndex", 0); 	
    $('#leChallengeType').on('change', function(){
		if($(this).val() == 'self' ){
			$('#synaman80').show();
			$('#synaman80').prevAll().hide();
			$('#synaman80').nextAll().hide();
		}
		else if($(this).val() == 'other' ){
			$('#other80').show();
			$('#other80').prevAll().hide();
			$('#other80').nextAll().hide();
		}
		else if($(this).val() == 'dns' ){
			$('#dnsLookup').show();
			$('#dnsLookup').prevAll().hide();
			$('#dnsLookup').nextAll().hide();
		}
	});
});
